package gov.anl.gss.sdm.server.model.analysis.polarity;

public class MinMeanMax {
	
	private String variable;
	private final double min;
	private final double mean;
	private final double max;
	
	public MinMeanMax(String variable, double min, double mean, double max) {
		this.variable = variable;
		this.min = min;
		this.mean = mean;
		this.max = max;
	}

	public double getMin() {
		return min;
	}

	public double getMean() {
		return mean;
	}

	public double getMax() {
		return max;
	}

	public String getVariable() {
		return variable;
	}

	public void setVariable(String variable) {
		this.variable = variable;
	}

}
