package gov.anl.gss.sdm.server.model.bridge;

public interface SDMUIExecutable {

	public void sdmuiExecute(String runName, String logDir);
	public void sdmuiExecuteStep1(String runName, String logDir);
	public void sdmuiExecuteStep2();
	public void set(String var, double value);
	public void setViaSDMUI(String var, double value);
	public double get(String var);
	public double get(String var, double time);
	public double[] get(String[] var, double time);
	public double[] getForTimeStep(String var);
	public double[] getValuesUpToTime(String var, double time);
	
//	public double[] getVarsValue(String[] vars, double time);
//	public double[][] getVarsValue(String[] vars, double starttime, double endtime);
//	public double[][] getVarsValue(String[] vars);
	
	public void stepMap();
	public void done();
	public void backstepMap();
	
	public void backstepExtendedMemory(double time);
	public double getCurrentTime();
	
	public void runTo(double time);
	public boolean isReinitialize();
	public void reinitializeRun();
}
