package gov.anl.gss.sdm.server.model.documentor;

public class HTMLConstants {
	
	public static final String BLUE_START = "<span style='color:Blue'>";
	public static final String BLACK_START = "<span style='color:Black'>";
	public static final String GREEN_START = "<span style='color:Green'>";
	public static final String RED_START = "<span style='color:Red'>";
	public static final String COLOR_END = "</span>";
	
	public static final String UNDERLINE_START = "<span style='border-bottom: 5px double #0000ff;'> ";
	public static final String UNDERLINE_END = "</span>";
	
	public static final String BOLD_START = "<b>";
	public static final String BOLD_END = "</b>";
	
	public static final String SPACE = "&nbsp;";
	
	public static final String BREAK = "<br>";
	
	public static final String DASH = "&ndash;";
	public static final String GT = "&GT;";
	
	public static final String HTML_START = "<html>";
	public static final String HTML_END = "</html>;";
	
	public static final String COLUMN_START = "<td style='text-align:center'>";
	public static final String COLUMN_START_LEFT = "<td style='text-align:left;border-width:0'>";
	public static final String COLUMN_END = "</td>\n";
	
	public static final String ROW_START = "<tr>\n";
	public static final String ROW_END = "</tr>\n";
	
	public static final String TABLE_END = "</table>\n";
	
	public static final String TABLE_START = "<br/><a name='$$LINK_NAME$$' /><a href='#top'>$$$TOP$$$</a><h3>$$TABLE_NAME$$</h3>"
			+ "<table class='results'>\n";
	
	public static final String LINK_NAME = "$$LINK_NAME$$";
	public static final String TABLE_NAME = "$$TABLE_NAME$$";
	public static final String COLUMN_NAME = "$$COLUMN_NAME$$";
	
	public static final String COLUMN_HEADER = 
			"<td style='vertical-align:bottom; color:Blue'><b><center>$$COLUMN_NAME$$</center></b></td>\n";
	
	public static final boolean WITH_HTML = true;
	public static final boolean WITHOUT_HTML = false;
	

}
