package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.documentor.SDMDocLanguageSpecific;
import gov.anl.gss.sdm.server.model.documentor.xmlwriter.StringConstants;

import java.awt.Cursor;
import java.awt.Dimension;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class AdjacencyToMapDialog  extends SDMDocJDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	public AdjacencyToMapDialog(JFrame parent, String title, String helpFile) {
		super(parent, ModalityType.DOCUMENT_MODAL, helpFile);
	doit();
}
	
	public AdjacencyToMapDialog(JFrame parent, String title) {
			super(parent, ModalityType.DOCUMENT_MODAL);
		doit();
	}
	
	private void doit() {
		
		SDMDocLanguageSpecific language = SDMDocLanguageSpecific.getInstance();
		 setTitle(language.getText(StringConstants.SDM_DOC_TOOL)+"/Java "+language.getText(StringConstants.VERSION)+
				 StandaloneGUI.version+" -- "+language.getDisplayName());

		 JPanel panel = new JPanel();
			this.getContentPane().add(panel);
			
			addInformationMenu(this);
			setJMenuBar(myMenubar);
		 
			 panel.setPreferredSize(new SdmDimension(600, 200));
		 setLocation (0, 100) ;
	        
		 add(new AdjacencyToMapPanel(this, StringConstants.ADJACENCY_TO_MAP));
	        
	      //Display the window.
	      pack();
	      setVisible(true);
	      setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
	}

}
