package gov.anl.gss.sdm.server.model.documentor.gui;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JFrame;

public class JFrameWithValueSetter extends SDMDocJFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private List<SDMOptionsPanel> toSet;
	
	public JFrameWithValueSetter(String title, String helpFile) {
		super(title, helpFile);
		toSet = new ArrayList<SDMOptionsPanel>();
	}
	
	public JFrameWithValueSetter(String title) {
		super(title);
		toSet = new ArrayList<SDMOptionsPanel>();
	}
	
	public void addToSet(SDMOptionsPanel p) {
		toSet.add(p);
	}
	
	public  void setAllValues(boolean value) {
		for (SDMOptionsPanel p : toSet) {
			p.setValues(value);
		}
	}

}
