package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.translator.Parser;

public class SDMDocFont {
	
	public static int SMALL = 14;
	public static int MEDIUM = 16;
	public static int LARGE = 20;
	
	public static String FONT = "Meiryo";
	
	public static void initialize() {


		String value = System.getProperty("GUI_FONT");
		if (value != null) {
			FONT = value;
			System.out.println("setting GUI_FONT = "+value);
		}
		
		value = System.getProperty("FONT_SMALL");
		if (value != null && Parser.isInteger(value)) {
			SMALL = Integer.parseInt(value);
			System.out.println("setting FONT_SMALL = "+value);
		}
		
		value = System.getProperty("FONT_MEDIUM");
		if (value != null && Parser.isInteger(value)) {
			MEDIUM = Integer.parseInt(value);
			System.out.println("setting FONT_MEDIUM = "+value);
		}
		
		value = System.getProperty("FONT_LARGE");
		if (value != null && Parser.isInteger(value)) {
			LARGE = Integer.parseInt(value);
			System.out.println("setting FONT_LARGE = "+value);
		}
	}
}
