package gov.anl.gss.sdm.server.model.documentor.gui;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class SDMDocModelNameFileFilter extends FileFilter {
	
	private String modelName;
	private String description;
	
	public SDMDocModelNameFileFilter(String head, String description) {
		super();
		this.modelName = head.toLowerCase();
		this.description = description;
	}

	@Override
	public boolean accept(File arg0) {
		if (arg0.isDirectory())
			return true;
		String f = arg0.getName().toLowerCase();
		if (f.startsWith(modelName+"_english") && f.endsWith(".html"))
			return true;
		else
			return false;
	}

	@Override
	public String getDescription() {
		return description;
	}

}
