package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.documentor.SDMDocLanguageSpecific;

import java.awt.Color;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

public abstract class SDMOptionsPanel  extends JPanel {
	
	/**
	 * 
	 */
	protected static final long serialVersionUID = 1L;
	protected OptionsFrame optionsFrame;
	protected String title;
	
	public abstract boolean saveValues();
	
	public SDMOptionsPanel(OptionsFrame optionsFrame, String title) {
		this.optionsFrame = optionsFrame;
		this.title = title;
		SDMDocLanguageSpecific language = SDMDocLanguageSpecific.getInstance();
		setBorder(BorderFactory.createTitledBorder(null, language.getText(title), TitledBorder.LEFT , 
				TitledBorder.TOP,  language.getFont(Font.BOLD,SDMDocFont.MEDIUM) , Color.black));
		
		
		
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	}
	
	public void changeLanguage() {
		SDMDocLanguageSpecific language = SDMDocLanguageSpecific.getInstance();
		setBorder(BorderFactory.createTitledBorder(null, language.getText(title), TitledBorder.LEFT, 
				TitledBorder.TOP, language.getFont(Font.BOLD,SDMDocFont.MEDIUM), Color.black));
		
		
	}
	
	public void setValues(boolean value) {
	}

}
