package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.documentor.SDMDocLanguageSpecific;

import javax.swing.JComponent;

public class ToolTip {
	
	private String toolTipKey;
	
	public String getToolTipKey() {
		return toolTipKey;
	}

	public ToolTip(String key) {
		this.toolTipKey = key;
//		System.out.println("TT:"+key+" = "+key);
	}
	
	public void setText(JComponent jcomp) {
		if (toolTipKey.contains("+")) {
			// this is a concatenated tooltip
			StringBuilder sb = new StringBuilder();
			String[] tips = toolTipKey.split("\\+");
			for (String t : tips) {
				if (sb.length() > 0)
					sb.append("<br>");
				sb.append(SDMDocLanguageSpecific.getInstance().getToolTipText(t));
				setToolTipText(jcomp, sb.toString());
			}

		} else {
			setToolTipText(jcomp,
					SDMDocLanguageSpecific.getInstance().getToolTipText(toolTipKey));
		}
	}
	
	public void setToolTipText(JComponent jcomp, String l) {
//		if (l != null)
//			jcomp.setToolTipText(
//					HTMLConstants.HTML_START+
//					l+
//					HTMLConstants.HTML_END);
	}

}
