package gov.anl.gss.sdm.server.model.documentor.xmlwriter;

import gov.anl.gss.sdm.server.model.documentor.gui.JLabelLanguage;
import gov.anl.gss.sdm.server.model.support.Utilities;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JLabel;
import javax.swing.JTextField;

public class StringConstants {
	
	
	public static final String ABOUT = "About";
	public static final String ACKNOWLEDGEMENTS = "Acknowledgements";
	public static final String ALL = "All";
	public static final String ALL_VARIABLES = "AllVariables";
	public static final String ANALYZE_LOOPS = "AnalyzeLoops";
	public static final String ANALYZE_LOOPS_WITH_IVV = "AnalyzeLoopsWithIVV";
	public static final String ANALYZING = "Analyzing";
	public static final String ARROW_INFORMATION = "ArrowInformation";
	public static final String AUXILIARY = "Auxiliary";
	public static final String BOTH = "Both";
	public static final String BOTTOM_MARGIN = "BottomMargin";
	public static final String BROWSE = "Browse";
	public static final String CASCADING_LOOKUP_FUNCTIONS = "CascadingLookupFunctions";
	public static final String CAUSAL_LINKS = "CausalLinks";
	public static final String CAUSE = "Cause";
	public static final String CLOSE = "Close";
	public static final String CLEARING_DATA_SRUCTURES = "ClearingDataStructures";
	public static final String COMMENT_CLEANER = "CommentCleaner";
	
	public static final String VISUALIZE_MAP_WITH = "VisualizeMapWith";
	public static final String CIRCLE = "Circle";
	public static final String ARCS = "Arcs";
	public static final String RECTANGLE = "Rectangle";
	
	public static final String ADJACENCY_TO_MAP = "AdjacencyToMap";
	
	public static final String VARIABLE_NAMES_TRANSLATOR = "VariableNamesTranslator";
	public static final String INITIALIZE_TRANSLATION = "InitializeTranslation";
	public static final String COMMENTS_HAVE_BEEN_EXTRACTED = "CommentsHaveBeenExtracted";
	
	public static final String ADJACENCY_TO_MAP_COMPLETED = "AdjacencyMatrixToMapCompleted";
	
	
	public static final String VARIABLE_NAMES_HAVE_BEEN_EXTRACTED = "VariableNamesHaveBeenExtracted";
	public static final String COMMENTS_HAVE_BEEN_MERGED ="CommentsHaveBeenMerged";
	public static final String VARIABLE_NAMES_HAVE_BEEN_REPLACED ="VariableNamesHaveBeenReplaced";
	public static final String COMPLEX_STOCK = "ComplexStock";
	public static final String COMPLEX_VARIABLE = "ComplexVariable";
	public static final String IN_OUT_LINKS = "InOutLinks";
	public static final String IN_OUT_LINKS_TYPE = "InOutLinksType";
	public static final String CONSTANT = "Constant";
	public static final String CONSTRUCTOR = "Constructor";
	public static final String CREATE_ZIP_FILE_WITH_ALL_OUTPUT_REPORTS = "CreateZipFileWithAllOutputReports";
	public static final String DATA = "Data";
	public static final String DATA_LOOKUP_TABLES = "DataLookupTables";
	public static final String DEFINITION_INPUT_FILE = "DefinitionInputFile";
	public static final String DELAY = "Delay";
	public static final String DESCRIPTION = "Description";
	public static final String DIMENSIONLESS_UNIT_VARIABLES = "DimensionlessUnitVariables";
	public static final String DISPLAYING_DOCUMENT = "DisplayingDocument";
	public static final String DOCUMENTATION_OF = "DocumentationOf";
	public static final String EFFECT = "Effect";
	public static final String EQUATIONS_WITH_EMBEDDED_DATA = "EquationsWithEmbeddedData";
	public static final String EQUATIONS_WITH_IF_THEN_ELSE_FUNCTIONS = "EquationsWithIfThenElseFunctions";
	public static final String EQUATIONS_WITH_MIN_OR_MAX_FUNCTIONS = "EquationsWithMinOrMaxFunctions";
	public static final String EQUATIONS_WITH_STEP_PULSE_OR_RELATED_FUNCTIONS = "EquationsWithStepPulseOrRelatedFunctions";
	public static final String EQUATIONS_WITH_UNIT_ERRORS_OR_WARNINGS = "EquationsWithUnitErrorsOrWarnings";
	public static final String EXECUTING = "Executing";
	public static final String EXIT = "Exit";
	public static final String EXIT_APPLICATION = "ExitApplication";
	public static final String EXPANDED_MACRO_DEFINITION = "ExpandedMacroDefinition";
	public static final String EXTRACT = "Extract";
	public static final String EXTRACT_COMMENTS = "ExtractComments";
	public static final String EXTRACT_VARIABLE_NAMES = "ExtractVariableNames";
	public static final String EXTRACT_COMMENTS_FROM_VENSIM_FILE ="ExtractCommentsFromVensimFile";
	public static final String EXTRACT_VARIABLE_NAMES_FROM_VENSIM_FILE ="ExtractVariableNamesFromVensimFile";
	public static final String EXTRACTED_COMMENTS_FILE = "ExtractedCommentsFile";
	public static final String VENSIM_MAP_FILE = "VensimMapFile";
	public static final String EXTRACTED_VARIABLE_NAMES_FILE = "ExtractedVariableNamesFile";
	public static final String EXTRACTED_COMMENTS_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN ="ExtractedCommentsFileExistsAndWillBeOverwritten";
	public static final String VENSIM_MAP_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN ="VensimMapFileExistsAndWillBeOverwritten";
	public static final String EXTRACTED_VARIABLE_NAMES_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN ="ExtractedVariableNamesFileExistsAndWillBeOverwritten";
	public static final String FEEDBACK = "Feedback";
	public static final String FEEDBACK_EMAIL = "FeedbackEmail";
	public static final String FEEDBACK_LOOPS = "FeedbackLoops";
	public static final String EXOGENOUS = "Exogenous";
	public static final String ENDOGENOUS = "Endogenous";
	
	public static final String GENERATE_MAP = "GenerateMap";
	
	public static final String EXOGENOUS_VARIABLE_ANALYSIS = "ExogenousVariableAnalysis";
	public static final String ENDOGENOUS_VARIABLE_ANALYSIS = "EndogenousVariableAnalysis";
	
	public static final String FEEDBACK_LOOPS_WITH_IVV = "FeedbackLoopsWithivv";
	public static final String FILE = "File";
	public static final String FINAL_TIME = "FinalTime";
	public static final String FLOW = "Flow";
	public static final String FONT_SIZE = "FontSize";
	public static final String FUNCTION_BASED_POLARITY_CAUSAL_LINKS = "FunctionBasedPolarityCausalLinks";
	public static final String FUNCTION_SENSITIVITY_PARAMETERS = "FunctionSensitivityParameters";
	public static final String GAME = "Game";
	public static final String GENERATE_DOCUMENT = "GenerateDocument";
	public static final String GENERATING_CAUSAL_TREES = "GeneratingCausalTrees";
	public static final String GENERATING_DOCUMENT = "GeneratingDocument";
	public static final String GENERATING_INDEPENDENT_LOOP_SET = "GeneratingIndependentLoopSet";
	public static final String GENERATING_LOOPS = "GeneratingLoops";
	public static final String GENERATING_POLARITY_CODE = "GeneratingPolarityCode";
	public static final String GENERATING_LEEA_CODE = "GeneratingLeeaCode";
	public static final String GRAPH_AND_OUTPUT_OPTIONS = "GraphAndOutputOptions";
	public static final String GROUP = "Group";
	public static final String GROUPS = "Groups";
	public static final String GROUP_COMMENTS ="GroupComments";
	public static final String HEIGHT = "Height";
	public static final String HELP = "Help";
	public static final String HIGHLIGHT_POINT = "HighlightPoint";
	public static final String HIGHLIGHT_POINT_X = "HighlightPointX";
	public static final String HIGHLIGHT_POINT_Y = "HighlightPointY";
	public static final String IGNORE_EMBEDDED_CONSTANTS_OF_0_OR_1 = "IgnoreEmbeddedConstantsOf0Or1";
	public static final String IN = "In";
	public static final String INCLUDE_MDL = "IncludeMDL";
	public static final String INCLUDE_THUMBNAILS = "IncludeThumbnails";
	public static final String LIMIT_THUMBNAIL_COUNT = "OverrideVariableCount";
	public static final String LIMIT_LOOPS_PER_FILE = "LimitLoopsPerFile";
	public static final String MAX_LIMIT_LOOPS_PER_FILE = "MaxLimitLoopsPerFile";
	public static final String OVERRIDE_LOOP_COUNT = "OverrideLoopCount";
	public static final String INFINITE = "Infinite";
	public static final String INITIAL = "Initial";
	public static final String INITIAL_TIME = "InitialTime";
	public static final String LANGUAGE = "Language";
	public static final String LEFT = "Left";
	public static final String LEFT_MARGIN = "LeftMargin";
	public static final String LENGTH = "Length";
	public static final String LEVEL = "Level";
	public static final String LEVEL_INITIAL = "LevelInitial";
	public static final String LICENSE = "License";
	public static final String LICENSE_TEXT = "LicenseText";
	public static final String LINK_POLARITY = "LinkPolarity";
	public static final String LIST_OF = "ListOf";
	public static final String LOOKUP = "Lookup";
	public static final String LOOKUP_TABLES = "LookupTables";
	public static final String LOOP = "Loop";
	public static final String LOOP_LIST_NO_IVV = "LoopListNoivv";
	public static final String HYPERLINK_LOOP = "LoopListReport";
	public static final String LOOP_LIST_WITH_IVV = "LoopListWithivv";
	public static final String LOOP_SIZE_MAXIMUM = "LoopSizeMaximum";
//	public static final String LOOP_SIZE_START = "LoopSizeStart";
//	public static final String LOOP_SIZE_AUTO_DISCOVER = "LoopSizeUnlimited";
	public static final String LOOPS = "Loops";
	public static final String LOOPS_NOT_REQUESTED = "LoopsNotRequested";
	public static final String MACRO_DEFINITION = "MacroDefinition";
	public static final String MACROS = "Macros";
	public static final String MAXIMUM_LOOP_LENGTH = "MaximumLoopLength";
	public static final String MERGE = "Merge";
	
	public static final String MICMAC_ANALYSIS = "MicmacAnalysis";
	
	public static final String MERGE_COMMENTS = "MergeComments";
	public static final String MERGE_COMMENTS_WITH_VENSIM_FILE ="MergeCommentsWithVensimFile";
	public static final String MERGED_COMMENTS_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN = "MergedCommentsFileExistsAndWillBeOverwritten";
	public static final String MERGED_VENSIM_FILE = "MergedVensimFile";
	
	public static final String REPLACE_VARIABLE_NAMES = "ReplaceVariableNames";
	public static final String REPLACE_VARIABLE_NAMES_WITH_VENSIM_FILE ="ReplaceVariableNamesWithVensimFile";
	public static final String REPLACED_VARIABLE_NAMES_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN = "ReplacedVariableNamesFileExistsAndWillBeOverwritten";
	public static final String REPLACED_VARIABLE_NAMES_VENSIM_FILE = "ReplacedVensimFile";
	
	public static final String META_DATA = "MetaData";
	public static final String MODEL_ASSESSMENT_RESULTS = "ModelAssessmentResults";
	public static final String MODEL_ASSESSMENT_RESULTS_OPTIONS = "ModelAssessmentResultsOptions";
	public static final String MODEL_INFORMATION = "ModelInformation";
	public static final String MODEL_IS_FULLY_FORMULATED = "ModelIsFullyFormulated";
	public static final String MODELER_DEFINED_GROUPS = "ModelDefinedGroups";
	public static final String MODULE = "Module";
	public static final String MODULES = "Modules";
	public static final String NAME = "Name";
	public static final String NEGATIVE_POLARITY_CAUSAL_LINKS = "NegativePolarityCausalLinks";
	public static final String NO = "No";
	public static final String NON_ZERO_END_SLOPED_LOOKUP_FUNCTIONS = "NonZeroEndSlopedLookupFunctions";
	public static final String NONMONOTONIC_LOOKUP_FUNCTIONS = "NonmonotonicLookupFunctions";
	public static final String NUMBER_OF_FEEDBACK_LOOPS = "NumberOfFeedbackLoops";
	public static final String NUMBER_OF_UNDOCUMENTED_VARIABLES = "NumberOfUndocumentedVariables";
	public static final String OPTIONS = "Options";
	public static final String ORIGINAL_VENSIM_FILE = "OriginalVensimFile";
	public static final String ADJACENCY_MATRIX_FILE = "AdjacencyMatrixFile";
	public static final String OVERWRITE ="Overwrite";
	public static final String PARSING_EQUATIONS = "ParsingEquations";
	public static final String POLARITY = "Polarity";
	public static final String POSITIVE_POLARITY_CAUSAL_LINKS = "PositivePolarityCausalLinks";
	public static final String POTENTIAL_OMISSIONS = "PotentialOmissions";
	public static final String PRESENT_IN = "PresentIn";
	public static final String PRESENT_IN_VIEWS = "PresentInViews";
	public static final String QUICK_LINK_NAME_ARROW_POLARITY = "CausalLinkPolarity";
	public static final String QUICK_LINK_NAME_FEEDBACK_LOOPS = FEEDBACK_LOOPS;
	
	public static final String QUICK_LINK_NAME_EXOGENOUS = EXOGENOUS_VARIABLE_ANALYSIS;
	public static final String QUICK_LINK_NAME_ENDOGENOUS = ENDOGENOUS_VARIABLE_ANALYSIS;
	
	public static final String QUICK_LINK_NAME_GROUPS = "QLGroups";
	public static final String QUICK_LINK_NAME_MACROS = MACROS;
	
	public static final String QUICK_LINK_NAME_MODULES = "QLModules";
	public static final String QUICK_LINK_NAME_VARIABLE_TYPE = "QLVariableType";
	public static final String QUICK_LINK_NAME_VARIABLES = ALL_VARIABLES;
	public static final String QUICK_LINK_NAME_IN_OUT_LINKS = IN_OUT_LINKS;
	public static final String QUICK_LINK_NAME_VIEW_VARIABLE_PROFILE = StringConstants.VIEW_VARIABLE_PROFILE;
	public static final String QUICK_LINK_NAME_VIEW_VARIABLES = "byView";
	public static final String QUICK_LINK_NAME_VIEWS = "QLViews";
	public static final String QUICK_LINK_TITLE_ARROW_POLARITY = "CausalLinkPolarity";
	public static final String QUICK_LINK_TITLE_FEEDBACK_LOOPS = "FeedbackLoops";
	public static final String QUICK_LINK_TITLE_GROUPS = "Groups";
	public static final String QUICK_LINK_TITLE_MACROS = "Macros";
	public static final String QUICK_LINK_TITLE_MODULES = "Modules";
	public static final String QUICK_LINK_TITLE_VARIABLE_TYPE = "VariableTypes";
	public static final String QUICK_LINK_TITLE_VARIABLES = "All Variables";
	public static final String QUICK_LINK_TITLE_VIEW_VARIABLE_PROFILE = "ViewVariableProfile";
	
	public static final String SOURCE = "Source";
	
	public static final String VARIABLE_RELATIONSHIPS = "VariableRelationships";
	public static final String VARIABLE_LOOPS = "VariableLoops";
	
	public static final String LIMIT_VR_LOOPS = "LimitVRLoops";
	public static final String LIMIT_LONGEST_LOOPS = "LimitLongestLoops";
	public static final String LIMIT_V_LOOPS = "LimitVLoops";
	public static final String MAX_SEARCH_TIME_MINUTES = "MaxSearchTimeMinutes";
	public static final String MAX_LIMIT_VR_LOOPS = "MaxLimitVRLoops";
	public static final String MAX_LIMIT_V_LOOPS = "MaxLimitVLoops";
	public static final String MAX_LIMIT_LONGEST_LOOPS = "MaxLimitLongestLoops";
	
	public static final String QUICK_LINK_TITLE_VIEW_VARIABLES = "View Variables";
	public static final String QUICK_LINK_TITLE_VIEWS = "Views";
	public static final String QUICK_LINKS = "QuickLinks";
	public static final String QUIT = "Quit";
	public static final String RATIO = "Ratio";
	public static final String READING_MDL_FILE = "ReadingMDLFile";
	public static final String READING_XML_FILE = "ReadingXMLFile";
	public static final String REGISTER_LANGUAGE = "RegisterLanguage";
	public static final String SETTING_DEFAULT_LANGUAGE_TO = "SettingDefaultLanguageTo";
	
	public static final String LANGUAGE_ADMINISTRATION = "languageAdministration";
	public static final String GENERATE_TRANSLATION_FILES = "generateTranslationFiles";
	public static final String SELECT_ONE_OR_MORE = "selectOneOrMore";
	public static final String DESTINATION_DIRECTORY = "destinationDirectory";
	
	public static final String LANGUAGE_TRANSLATION_REPORT = "languageTranslationReport";
	public static final String VIEW_TRANSLATION_REPORTS = "viewTranslationReports";
	public static final String SAVE_TRANSLATION_REPORTS = "saveTranslationReports";
	
	
	public static final String REPORT_CREATED_ON = "ReportCreatedOn";
	public static final String REPORTED_TIME_INTERVAL = "ReportedTimeInterval";
	public static final String RESULT = "Result";
	public static final String RIGHT = "Right";
	public static final String RULE_THRESHOLD = "RuleThreshold";
	public static final String SAVE = "Save";
	public static final String SDM_DOC_TOOL = "SdmDocTool";
	public static final String SELECT_ALL = "SelectAll";
	public static final String SELECT_LANGUAGE = "SelectLanguage";
	public static final String SELECT_NONE = "SelectNone";
	public static final String SELECT_USER_OPTIONS = "SelectUserOptions";
	public static final String SET_DEFAULTS = "SetDefaults";
	public static final String SIDE = "Side";
	public static final String SMOOTH = "Smooth";
	public static final String SOURCE_FILE = "SourceFile";
	public static final String SPECIFIC_VIEW_VARIABLES = "SpecificViewVariables";
	public static final String STATE_VARIABLES = "StateVariables";
	public static final String UNITS_USED = "UnitsUsed";
	public static final String UNITS = "Units";
	
	public static final String COMPLEXITY = "Complexity";
	
	public static final String HARDCODED = "Hardcoded";
	public static final String EXTERNAL = "External";
	public static final String VARIABLE_NUMBER = "VariableNumber";
	
	public static final String DATA_SOURCE = "DataSource";
	public static final String INPUT_LINKS = "InputLinks";
	public static final String DIRECT_EXOGENOUS = "DirectExogenous";
	public static final String PCT_EXOGENOUS = "PercentExogenous";
	public static final String INDIRECT_EXOGENOUS = "IndirectExogenous";
	public static final String INDIRECT_MINIMUM = "IndirectMinimum";
	public static final String INDIRECT_MEAN = "IndirectMean";
	public static final String INDIRECT_MEDIAN = "IndirectMedian";
	public static final String INDIRECT_MAXIMUM = "IndirectMaximum";
	
	public static final String BASIC = "Basic";
	public static final String COMBINED = "Combined";
	
	public static final String UNITS_NAME = "UnitsName";
	public static final String UNITS_TYPE = "UnitsType";
	public static final String UNITS_ALTERNATES = "UnitsAlternates";
	
	public static final String QUICK_LINK_NAME_UNITS = UNITS_NAME;
//	public static final String QUICK_LINK_NAME_UNITS = UNITS;
	
	public static final String STATE_VARIABLES_TOTAL_STOCKS = "StateVariablesTotalStocks";
	public static final String STOCK_VARIABLES = "StockVariables";
	
	public static final String EXOGENOUS_VARIABLES = "ExogenousVariables";
	public static final String ENDOGENOUS_VARIABLES = "EndogenousVariables";
	
	public static final String SUBSCRIPTS = "Subscripts";
	public static final String SUPPLEMENTARY_VARIABLES = "SupplementaryVariables";
	public static final String SUPPLEMENTARY_VARIABLES_BEING_USED = "SupplementaryVariablesBeingUsed";
	public static final String SYSTEM_MESSAGES = "SystemMessages";
	public static final String THUMBNAIL = "Thumbnail";
	public static final String THUMBNAIL_MAXIMUM = "ThumbnailMaximum";
	public static final String TIME_STEP = "TimeStep";
	public static final String TIME_UNIT = "TimeUnit";
	public static final String TOOLS = "Tools";
	public static final String TOP = "Top";
	public static final String INFORMATION = "Information";
	public static final String SCREEN = "Screen";
	public static final String TOTAL = "Total";
	public static final String TOTAL_NUMBER_OF_CAUSAL_LINKS = "TotalNumberOfCausalLinks";
	public static final String TOTAL_NUMBER_OF_EQUATIONS_USING_MACROS = "TotalNumberOfEquationsUsingMacros";
	public static final String TOTAL_NUMBER_OF_FEEDBACK_LOOPS_NO_IVV = "TotalNumberOfFeedbackLoopsNoIVV";
	public static final String TOTAL_NUMBER_OF_FEEDBACK_LOOPS_WITH_IVV = "TotalNumberOfFeedbackLoopsWithIVV";
	public static final String TOTAL_NUMBER_OF_FUNCTION_BASED_POLARITY_CAUSAL_LINKS = "TotalNumberOfFunctionBasedPolarityCausalLinks";
	public static final String TOTAL_NUMBER_OF_MACROS = "TotalNumberOfMacros";
	public static final String TOTAL_NUMBER_OF_NEGATIVE_POLARITY_CAUSAL_LINKS = "TotalNumberOfNegativePolarityCausalLinks";
	public static final String TOTAL_NUMBER_OF_POSITIVE_POLARITY_CAUSAL_LINKS = "TotalNumberOfPositivePolarityCausalLinks";
	public static final String TOTAL_NUMBER_OF_STATE_VARIABLES = "TotalNumberOfStateVariables";
	public static final String TOTAL_NUMBER_OF_STOCKS = "TotalNumberOfStocks";
	
	public static final String TOTAL_NUMBER_OF_EXOGENOUS_VARIABLES = "TotalNumberOfExogenousVariables";
	public static final String TOTAL_NUMBER_OF_ENDOGENOUS_VARIABLES = "TotalNumberOfEndogenousVariables";
	
	public static final String TOTAL_NUMBER_OF_VARIABLES = "TotalNumberOfVariables";
	public static final String TOTAL_STOCKS_DO_NOT_INCLUDE_FIXED_DELAY_VARIABLES = "TotalStocksDoNotIncludeFixedDelayVariables";
	public static final String TRANSLATION_FILE = "TranslationFile";
	public static final String TRANSLATION_FILE_DIRECTORY= "TranslationFileDirectory";
//	public static final String TYPE = "Type";
	public static final String UNDOCUMENTED_VARIABLES = "UndocumentedVariables";
	public static final String UNLIMITED = "Unlimited";
	public static final String UNUSED_VARIABLES = "UnusedVariables";
	public static final String USED_BY = "UsedBy";
	public static final String USING_MACROS = "UsingMacros";
	public static final String VALUE_RANGE_SPECIFIED = "ValueRangeSpecified";
	public static final String VARIABLE = "Variable";
	public static final String VARIABLE_INFORMATION = "VariableInformation";
	public static final String VARIABLE_NAME_AND_DESCRIPTION = "VariableNameAndDescription";
	public static final String VARIABLE_TYPES = "VariableTypes";
	public static final String VARIABLES = "Variables";
	public static final String CONTROL_VARIABLES = "controlVariables";
	public static final String VARIABLES_NOT_IN_ANY_VIEW = "VariablesNotInAnyView";
	public static final String VARIABLES_WITH_DIMENSIONLESS_UNITS = "VariablesWithDimensionlessUnits";
	public static final String VARIABLES_WITH_SOURCE_INFORMATION = "VariablesWithSourceInformation";
	public static final String VERSION = "Version";
	public static final String VIEW = "View";
	public static final String VIEWS = "Views";
	public static final String VIEW_SUMMARY = "ViewSummary";
	public static final String VIEW_VARIABLE_PROFILE = "ViewVariableProfile";
	public static final String VIEW_WIDTH_MAX = "ViewDiagramWidth";
	public static final String VIEWS_AND_THEIR = "ViewsAndTheir";
	public static final String WARNING ="Warning";
	public static final String WARNINGS = "Warnings";
	public static final String WIDTH = "Width";
	public static final String YES = "Yes";
	
	public static final String EQUATION_LIMIT = "EquationLimit";
	public static final String FLATTEN = "Flatten";
	public static final String COMMENTS = "Comments";
	public static final String RUNNER = "Runner";
	public static final String HASHMAP = "HashMap";
	public static final String NATIVE = "Native";
	
	
	public static final String SUMMARY_REPORTS = "SummaryReports";
	public static final String DETAILED_REPORTS = "DetailedReports";
	
	public static final String WRITE_LOOPS_TO_FILE = "WriteLoopsToFile";
	public static final String READ_LOOPS_FROM_FILE = "ReadLoopsFromFile";
	
	public static final String CODE_GENERATION_OPTIONS = "CodeGenerationOptions";
	
	public static final String ABORT_MEMORY_LIMITATIONS = "LoopDiscoveryAbortedDueToMemoryLimitations";
	public static final String OVERRIDING_LOOP_LIMIT_PER_USER_REQUEST = "OverridingLoopLimitPerUserRequest";
	public static final String DETERMINING_VARIABLE_RELATIONSHIPS_FROM_DISCOVERED_LOOPS = "DeterminingVariableRelationshipsFromDiscoveredLoops";
	public static final String TOO_MANY_LOOPS_TO_GENERATE_VARIABLE_RELATIONSHIP_REPORT = "TooManyLoopsToGenerateVariableRelationshipsReport";
	public static final String TOO_MANY_LOOPS_TO_GENERATE_VARIABLE_LOOP_REPORT = "TooManyLoopsToGenerateVariableLoopReport";
	public static final String LOOP_DISCOVERY_FAILURE_PRECLUDES_GATHERING_VARIABLE_LOOPS = "LoopDiscoveryFailurePrecludesGatheringVariableLoops";
	public static final String GENERATING_VARIABLE_LOOPS_REPORT = "GeneratingVariableLoopsReport";
	public static final String LOOKING_LONGER_LOOPS = "LookingForLongerLoops";
	public static final String DECREASE_MAXIMUM_LENGTH = "DecreaseMaximumLength";
	public static final String LOOP_DISCOVERY_COMPLETE = "LoopDiscoveryCompletedAtMaximumLength";
	public static final String COULD_NOT_COMPLETE_LOOP_PROCESSING = "CouldNotCompleteLoopProcessingAtMaximumLength";
	public static final String SETTING_MAX_LENGTH = "SettingMaximumLengthTo";
	public static final String PROCESSING_DISCOVERED_LOOPS = "ProcessingDiscoveredLoops";
	public static final String INSUFFICIENT_SPACE_TO_PROCESS_ALL_LOOPS = "InsufficientSpaceToProcessAllLoops";
	
	public static final String INCLUDE_LOOP_SIZE = "IncludeLoopSize";
	public static final String INCLUDE_TIME_STAMP = "IncludeTimeStamp";
	public static final String NAMING_OPTIONS = "NamingOptions";
	
	public static final String RATE_TO_RATE_LINKS = "RateToRateLinks";
	public static final String NUM_RATE_TO_RATE_LINKS = "NumRateToRateLinks";
	
	public static final String TAIL = "Tail";
	public static final String HEAD = "Head";
	
	public static final String REUSE = "Reuse";
	public static final String REUSE_THUMBNAILS = "ReuseThumbnails";
	public static final String REUSE_VIEW_DIAGRAM = "ReuseViewDiagram";
	public static final String REUSE_POLARITIES = "ReusePolarities";
	public static final String REUSE_LOOPS = "ReuseLoops";
	public static final String REUSE_CLASS = "ReuseClass";
	
	public static final String LOAD_AND_PROCESS = "LoadAndProcess";
	
	public static final String GENERATE_3D = "Generate3d";
	
	public static final String RSSD_LOOKUP = "_SDMlookup";
	
	public static final String MAXIMUM_ENDOGENOUS_PATH_LENGTH = "MaximumEndogenousPathLength";
	
	public static final String AVAILABLE_FOR_REUSE = "AvailableForReuse";
	
	public static final String MODEL_COPIER = "ModelCopier";
	public static final String ORIGINAL_VENSIM_MODEL_FILE_NAME = "OriginalVensimModelFileName";
	public static final String ORIGINAL_EXCEL_DATA_FILE_NAME = "OriginalExcelDataFileName";
	public static final String NUMBER_OF_COPIES = "NumberOfCopies";
	public static final String MAKE_COPIES = "MakeCopies";
	public static final String INVALID_COPY_COUNT = "InvalidCopyCount";
	public static final String COPIES_CREATED = "CopiesCreated";
	public static final String GENERATE_MODEL_COPIES = "GenerateModelCopies";
	
	public static final String PROGRESS = "Progress";
	public static final String EXOGENOUS_PROGRESS = "ExogenousProgress";
	public static final String EXOGENOUS_PROGRESS_COUNT = "ExogenousProgressCount";
	public static final String EXOGENOUS_VARIABLE_COUNT = "ExogenousVariableCount";
	public static final String COUNTING_NUMBER_OF_CYCLES_WITH_MAXIMUM_LENGTH = 
			"CountingNumberOfCyclesWithMaximumLength";
	public static final String NUMBER_OF_CYCLES = "NumberOfCycles";
	public static final String USING_TIME_AND_MEMORY_RESTRICTED_LOOP_DISCOVERY = 
			"UsingTimeAndMemoryRestrictedLoopDiscovery";
	public static final String LOOP_DISCOVERY_COMPLETED_AT_MAXIMUM_LENGTH_OF = 
			"LoopDiscoveryCompletedAtMaximumLengthOf";
//	public static final String PROCESSING_DISCOVERED_LOOPS_LOOP_COUNT = 
//			"ProcessingDiscoveredLoopsLoopCount";
	public static final String PERFORMING_MINIMUM_MEMORY_LOOP_PROCESSING = "PerformingMinimumMemoryLoopProcessing";
	public static final String TOTAL_CYCLES = "TotalCycles";
	public static final String MODEL_IS_NOT_RUNNABLE = "ModelIsNotRunnable";
	public static final String REASONS = "Reasons";
	public static final String MODEL_RUN_NOT_EQUESTED = "ModelRunNotRequested";
	
	public static final String PREPARING_EQUATION_VARIABLES = "PreparingEquationVariables";
	public static final String COUNTING_AND_BUILDING_TABLES = "CountingAndBuildingTables";
	public static final String WRITING_FILE = "WritingFile";
	public static final String CREATING_ZIP_FILE = "CreatingZIPFile";
	public static final String HTML_REPORT_FILE_GENERATED = "HTMLReportFileGenerated";
	public static final String OPENING_HTML_IN_BROWSER = "OpeningHTMLInBrowser";
	public static final String EXOGENOUS_ENDOGENOUS_ANALYSIS = "ExogenousEndogenousAnalysis";
	
	public static final String OF = "Of";
	public static final String TO = "To";
	
	public static final String ORDER_CONSTANTS = "OrderConstants";
	public static final String ORDER_INITIALIZERS = "OrderInitializers";
	public static final String ORDER_STOCKS = "OrderStocks";
	public static final String ORDER_AUXILIARIES = "OrderAuxiliaries";
	public static final String ANALYZE_EVALUATION_ORDER = "AnalyzeEvaluationOrder";
	public static final String CLEAN_EVALUATION_ORDER = "CleanEvaluationOrder";
	public static final String ADDING_EVALUATION_ORDER_TO_MAPPER_FILE = "AddingEvaluationOrderToMapperFile";
	public static final String WRITING_CODE = "WritingCode";
	
	public static final String DETERMINING_EVALUATION_ORDER = "DeterminingEvaluationOrder";
	
	public static final String ENDOGENOUS_VARIABLE_COUNT = "EndogenousVariableCount";
	public static final String ENDOGENOUS_LEVEL_LIMIT = "EndogenousLevelLimit";
	
	public static final String EVALUATION_ORDERING_FAILED = "EvaluationOrderingFailedModelWillNotBeExecuted";
	
	public static final String COMPILING_MODEL_MEMORY = "CompilingModelMemory";
	public static final String COMPILING_MODEL_EQUATIONS = "CompilingModelEquations";
	
	public static final String COMPILE_ERROR_CODE = "CompileErrorCode";
	public static final String EXECUTING_MODEL_TO_GENERATE_BASELINE_RUN = "ExecutingModelToGenerateBaselineRun";
	public static final String COULD_NOT_CREATE_THUMBNAILS = "CouldNotCreateThumbnails";
	public static final String JAVA_COMPILE_ERRORS = "JavaCompileErrors";
	public static final String BEGIN_PROCESSING_EQUATIONS = "BeginProcessingEquations";
	public static final String DETERMINING_EQUATION_VARIABLE_CHARACTERISTICS = "DeterminingEquationVariableCharacteristics";
	public static final String DETERMINING_MEMORY_REQUIREMENTS = "DeterminingMemoryRequirements";
	public static final String EXPANDING_LHS_OF_EQUATIONS = "ExpandingLHSOfEquations";
	public static final String TOTAL_EXPANDED_COUNT_FOR = "TotalExpandedCountFor";
	public static final String EQUATIONS = "Equations";
	
	public static final String SAVING_EXPANDED_LHS_EQUATION_DEFINITION = "SavingExpandedLHSEquationDefinition";
	public static final String CREATING_THUMBNAILS = "CreatingThumbnails";
	
	public static final String LOOP_SEARCH_PROGRESS = "LoopSearchProgress";
	public static final String FOUND = "Found";
	public static final String LONGEST = "Longest";
	public static final String TD_GENERATION_REQUIRES_LOOPS_BE_GENERATED
		= "TDGenerationRequiresLoopsBeGenerated";
	
	public static final String AUTO_DISCOVER_START_POINT = "AutoDiscoverStartPoint";
	
	public static final String HEAP_SPACE_LOW = "HeapSpaceLow";
	public static final String INSUFFICIENT_HEAP_SPACE = "InsufficientHeapSpace";
	public static final String TERMINATING_SEARCH = "TerminatingSearch";
	public static final String AVAILABLE = "Available";
	public static final String TRYING_TO_CORRECT = "TryingToCorrect";
	
	public static final String AVAILABLE_HEAP_SPACE_AT_PROCESS_START = "AvailableHeapSpaceAtProcessStart";
	public static final String SOMETHING_WRONG_SUCCESS_WITH_NO_FAIL = "SomethingWrongSuccessWithNoFail";
	public static final String INCREASE_MAXIMUM_LENGTH_FROM = "IncreaseMaximumLengthFrom";
	public static final String LOOKING_FOR_LONGER_LOOPS = "LookingForLongerLoops";
	public static final String CURRENT_LOOP_COUNT = "CurrentLoopCount";
	public static final String ADJUST_MAXIMUM_LENGTH_FROM = "AdjustMaximumLengthFrom";
	public static final String DECREASE_MAXIMUM_LENGTH_FROM = "DecreaseMaximumLengthFrom";
	public static final String HEAP_SPACE_AVAILABLE = "HeapSpaceAvailable";
	public static final String TRYING_MAXIMUM_LENGTH = "TryingMaximumLength";
	public static final String LOOPS_WITH_IVV = "LoopsWithIVV";
	public static final String LOOPS_WITHOUT_IVV = "LoopsWithoutIVV";
	public static final String LOOP_DISCOVERY_ABORTED_DUE_TO_MEMORY_LIMITATIONS = "LoopDiscoveryAbortedDueToMemoryLimitations";
	public static final String HEAP_SPACE_LIMITS_REACHED = "HeapSpaceLimitsReached";
	public static final String TIME_LIMIT_EXCEEDED = "TimeLimitExceeded";
	public static final String SECONDS = "Seconds";
	public static final String SEARCH_TIME = "SearchTime";
	public static final String COULD_NOT_COMPLETE_LOOP_PROCESSING_AT_LOOP_MAXIMUM_LENGTH_OF = "CouldNotCompleteLoopProcessingAtLoopMaximumLengthOf";
	
	public static final String REDUCING_MAXIMUM_LENGTH_TO = "ReducingMaximumLengthTo";
	public static final String SETTING_MAXIMUM_LENGTH_TO = "SettingMaximumLengthTo";
	public static final String AND_RETRYING = "AndRetrying";
	public static final String AUTO_DISCOVERY_OF_MAXIMUM_LOOP_LENGTH_WITHOUT_IVV = "AutoDiscoveryOfMaximumLoopLengthWithoutIVV";
	public static final String LOOP_DISCOVERY_FAILURE = "LoopDiscoveryFailure";
	public static final String LOOPS_WERE_FOUND_WITH_MAXIMUM_LENGTH_OF = "LoopsWereFoundWithMaximumLengthOf";
	public static final String AUTO_DISCOVERY_OF_MAXIMUM_LOOP_LENGTH_WITH_IVV = "AutoDiscoveryOfMaximumLoopLengthWithIVV";
	public static final String MAXIMUM_LOOP_LENGTH_WITHOUT_IVV = "MaximumLoopLengthWithoutIVV";
	public static final String MAXIMUM_LOOP_LENGTH_WITH_IVV = "MaximumLoopLengthWithIVV";
	public static final String OVERALL_DISCOVERED_MAXIMUM_LOOP_LENGTH = "OverallDiscoveredMaximumLoopLength";
	
	public static final String SET_LOOP_START_VARIABLES = "SetLoopStartVariables";
	public static final String ASSIGN_LOOP_NUMBERS = "AssignLoopNumbers";
	public static final String WRITE_ALL_KNOWN_LOOPS = "WriteAllKnownLoops";
	
	public static final String CUMULATIVE = "Cumulative";
	
	public static final String LOOP_COUNT = "LoopCount";
	public static final String USER_OVERRIDE_OF_LOOP_LIMIT_WILL_DO_FULL_PROCESSING = "UserOverrideOfLoopLimitWillDoFullProcessing";
	
	public static final String PERFORMING_FULL_LOOP_PROCESSING = "PerformingFullLoopProcessing";
	public static final String TERMINATING = "Terminating";
	
	public static final String WRITING_3D_DATA_TO_FILE = "Writing3DDataToFile";
	public static final String COULD_NOT_GENERATE_3D_FILE = "CouldNotGenerate3DDataFile";
	
	public static final String EVALUATION_ORDER_PROBLEMS = "EvaluationOrderProblems";
	
	public static final String DEVELOPERS = "Developers";
	public static final String COLLABORATORS = "Collaborators";
	public static final String INTERNATIONALIZATION = "Internationalization";
	
	public static final String NON_ZERO = "NonZero";
	public static final String EXOGENOUS_UNCONNECTED = "ExogenousUnconnected";
	public static final String EXOGENOUS_CONNECTED = "ExogenousConnected";
	public static final String VIEW_LIST = "ViewList";
	public static final String NONE = "None";
	public static final String DISTANCE = "Distance";
	
	public static final String ENDOGENOUS_EXOGENOUS_UNCONNECTED_VARIABLES = "EndogenousExogenousUnconnectedVariables";
	public static final String ENDOGENOUS_EXOGENOUS_CONNECTED_VARIABLES = "EndogenousExogenousConnectedVariables";
	
	public static final String EXOGENOUS_ENDOGENOUS_REFERENCE = "ExogenousEndogenousReference";
	public static final String EXOGENOUS_ENDOGENOUS_PATH = "ExogenousEndogenousPath";
	public static final String EXOGENOUS_ENDOGENOUS_DISTANCE = "ExogenousEndogenousDistance";
	public static final String EXOGENOUS_ENDOGENOUS_TO_FILE = "ExogenousEndogenousToFile";
	
	public static final String TRANSLATING = "Translating";
	public static final String ERROR_MESSAGES = "ErrorMessages";
	public static final String HTML_REPORT_NOT_GENERATED = "HtmlReportNotGenerated";
	public static final String INTERNAL_ERROR_DETECTED = "InternalErrorDetected";
	public static final String JAVA_ERROR_MESSAGES = "JavaErrorMessages";
	public static final String INVALID = "Invalid";
	public static final String SEE = "See";
	public static final String OPERATING_SYSTEM = "OperatingSystem";
	public static final String GENERATING_CODE = "GeneratingCode";
	
	public static final String ERROR = "Error";
	public static final String SYNTAX = "Syntax";
	public static final String SEMANTICS = "Semantics";
	
	// New after 2:45 Thursday, April 4, 2019
	
	public static final String MAXIMUM_PATH_LENGTH_MUST_BE_AN_INTEGER = "MaximumPathLengthMustBeAnInteger";
	public static final String SPECIFIED_VALUE = "SpecifiedValue";
	
	public static final String MAXIMUM_NUMBER_OF_THUMBNAILS_LIMITED_TO = "MaximumNumberOfThumbnailsLimitedTo";
	public static final String MAXIMUM_NUMBER_OF_THUMBNAILS = "MaximumNumberOfThumbnails";
	
	public static final String MUST_BE_AN_INTEGER_IN_THE_RANGE = "MustBeAnIntegerInTheRange";
	
	public static final String THIS_LANGUAGE_TRANSLATION_HAS_ALREADY_BEEN_REGISTERED = "ThisLanguageTranslationHasAlreadyBeenRegistered";
	public static final String LANGUAGE_REGISTRATION = "LanguageRegistration";
	public static final String REGISTRATION_COMPLETE = "RegistrationComplete";
	
	public static final String MAXIMUM_LOOP_LENGTH_MUST_BE_AN_INTEGER = "MaximumLoopLengthMustBeAnInteger";
	public static final String INVALID_MAXIMUM_LOOP_LENGTH = "InvalidMaximumLoopLength";
	
	public static final String PLEASE_SPECIFY_SYSTEM_DYNAMICS_MODEL_FILENAME = "PleaseSpecifySystemDynamicsModelFilename";
	public static final String SPECIFIED_SYSTEM_DYNAMICS_MODEL_NOT_FOUND = "SpecifiedSystemDynamicsModelNotFound";
	
	public static final String RUN_LOOP_LENGTH_ANALYSIS = "runLoopLengthAnalysis";
	public static final String LOOP_LENGTH_ANALYSIS = "loopLengthAnalysis";
	public static final String VENSIM_MODEL_FILE_NAME = "vensimModelFileName";
	public static final String STARTING_LENGTH = "startingLength";
	public static final String ENDING_LENGTH = "endingLength";
	
	public static final String INVALID_STARTING_LENGTH = "invalidStartingLength";
	public static final String INVALID_ENDING_LENGTH = "invalidEndingLength";
	public static final String PROCESSING_COMPLETE = "processingComplete";
	
	public static final String ASSOCIATED_ARROW_POLARITY_FILE_NOT_FOUND = "associatedArrowPolarityFileNotFound";
	
	public static final String IN_OUT_COUNTS = "inOutCounts";
	public static final String IN_OUT_RATIO = "inOutRatio";
	public static final String IN_LINKS_BY_POLARITY = "inLinksByPolarity";
	public static final String OUT_LINKS_BY_POLARITY = "outLinksByPolarity";
	
	public static final String NONE_SPECIFIED = "noneSpecified";
	public static final String LHS_UNITS = "lhsUnits";
	public static final String RHS_UNITS = "rhsUnits";
	public static final String COMPLETE_RHS_UNITS = "completeRhsUnits";
	
	
	public static final String FUNCTION_SKIP = "function";
	public static final String UNDEFINED_LOAD = "undefinedLoad";
	public static final String UNDEFINED = "undefined";
	public static final String UNDEFINED_HEAD = "undefinedHead";
	public static final String UNDEFINED_TAIL = "undefinedTail";
	public static final String INCONSISTENT = "inconsistent";
	
	public static final String ITE_SWITCH = "ifThenElseSwitch";
	public static final String LOOKUP_INCONSISTENT = "lookupInconsistent";
	public static final String LOOKUP_EXTERNAL = "lookupExternal";
	public static final String LOOKUP_NO_EQN = "lookupNoEqn";
	public static final String NO_EFFECT = "noEffect";
	
	public static final String TIME_DELAY_SMOOTH = "timeDelaySmooth";
	
	public static final String LOOKUP_USED_WITH_DIMENSIONED_ARGUMENT = "lookupUsedWithDimensionedArgument";
	public static final String IMPROPER_UNITS_FOR_FUNCTION_ARGUMENT = "improperUnitsForFunctionArgument";
	public static final String MISMATCHED_UNTIS_IN_FUNCTION_CALL = "mismatchedUnitsInFunctionCall";
	public static final String INCONSISTENT_RHS_UNIT_EXPRESSION = "inconsistentRhsUnitExpression";
	
	// new 8/11/2020
	public static final String EQUATION = "Equation";
	public static final String SOURCES = "Sources";
	public static final String COUNTS = "Counts";
	
	
	public static final String NUMBER_OF_VARIABLES = "NumberOfVariables";
	public static final String PCT_OF_TOTAL = "PctOfTotal";
	public static final String EFFECTIVE_NUMBER_OF_VARIABLES = "EffectiveNumberOfVariables";
	public static final String EFFECTIVE_PCT_OF_TOTAL = "EffectivePctOfTotal";
	
	public static final String IN_COUNTS = "NumberOfInputLinks";
	public static final String OUT_COUNTS = "NumberOfOutputLinks";
	public static final String POSITIVE_IN_LINKS = "NumberOfPositivePolarityInputLinks";
	public static final String NEGATIVE_IN_LINKS = "NumberOfNegativePolarityInputLinks";
	public static final String UNKNOWN_POLARITY_IN_LINKS = "NumberOfUnknownPolarityInputLinks";
	public static final String POSITIVE_OUT_LINKS = "NumberOfPositivePolarityOutputLinks";
	public static final String NEGATIVE_OUT_LINKS = "NumberOfNegativePolarityOutputLinks";
	public static final String UNKNOWN_POLARITY_OUT_LINKS = "NumberOfUnknownPolarityInputLinks";
	
//	public static final String NUMBER_OF_FEEDBACK_LOOPS = "NumberOfFeedbackLoops";
	public static final String PCT_OF_FEEDBACK_LOOPS = "PctOfFeedbackLoops";
	
	public static final String POSITIVE_POLARITY_FEEDBACK_LOOPS = "PositivePolarityFeedbackLoops";
	public static final String POSITIVE_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS = "PositivePolarityMinLengthFeedbackLoops";
	public static final String POSITIVE_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS = "PositivePolarityMaxLengthFeedbackLoops";
	
	public static final String NEGATIVE_POLARITY_FEEDBACK_LOOPS = "NegativePolarityFeedbackLoops";
	public static final String NEGATIVE_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS = "NegativePolarityMinLengthFeedbackLoops";
	public static final String NEGATIVE_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS = "NegativePolarityMaxLengthFeedbackLoops";
	
	public static final String UNKNOWN_POLARITY_FEEDBACK_LOOPS = "UnknownPolarityFeedbackLoops";
	public static final String UNKNOWN_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS = "UnknownPolarityMinLengthFeedbackLoops";
	public static final String UNKNOWN_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS = "UnknownPolarityMaxLengthFeedbackLoops";
	
	public static final String SHORT_LOOPS = "ShortLoops";
	public static final String LONG_LOOPS = "LongLoops";
	
	public static final String LOOP_DETAIL = "LoopDetail";
	

	public static final String VARIABLE_A = "VariableA";
	public static final String VARIABLE_B = "VariableB";
	public static final String MIN_AB = "MinAB";
	public static final String MAX_AB = "MaxAB";
	public static final String MIN_BA = "MinBA";
	public static final String MAX_BA = "MaxBA";
	
	public static final String NUMBER_OF_LOOPS = "NumberOfLoops";
	
	public static final String CIRCLE_PARAMETERS = "CircleParameters";
	public static final String ARCS_PARAMETERS = "ArcParameters";
	public static final String RECTANGLE_PARAMETERS = "RectangleParameters";
	public static final String THRESHHOLD = "Threshhold";
	public static final String ARC_DEGREES = "ArcDegrees";
	public static final String RADIUS = "Radius";
	
	// support Adjacency Matrix To Map
	public static final String BY_GROUP = "ByGroup";
	public static final String BY_OUTPUT = "ByOutput";
	public static final String BY_INPUT = "ByInput";
	
	public static final String GROUP_FILE = "GroupFile";
	public static final String GROUP_COLORS = "GroupColors";
	public static final String CHOOSE_COLOR = "ChooseColor";
	
	public static final String BY_LOOP_LENGTH = "ByLoopLength";
	public static final String SPECIFIC_LOOP_LENGTH = "SpecificLoopLength";
	public static final String UP_TO_LOOP_LENGTH = "UpToLoopLength";
	
	
	public static final String OPTIONAL_GENERATED_MAP_OPTIONS = "OptionalGeneratedMapOptions";
	public static final String GROUP_FILE_DOES_NOT_EXIST = "GroupFileDoesNotExist";
	
	public static final String INTER_GROUP_GAP = "InterGroupGap";
	
	public static final String SELECT_ADJACENCY_MATRIX_FILE = "SelectAdjacencyMatrixFile";
	public static final String SELECT_ADJACENCY_MATRIX_GROUP_FILE = "SelectAdjacencyMatrixGroupFile";
	public static final String SELECT_ADJACENCY_MATRIX_MAP_FILE = "SelectAdjacencyMatrixMapFile";
	
	public static final String NOT_AN_ADJACENCY_MATRIX_FILE = "NotAnAdjacencyMatrixFile";
	public static final String NOT_AN_ADJACENCY_MATRIX_GROUP_FILE = "NotAnAdjacencyMatrixGroupFile";
	
	public static final String SHAPE_SIZE = "ShapeSize";
	public static final String ARROW_WIDTH = "ArrowWidth";
	
	public static final String GROUP_SHAPE_COLOR_CHOOSER = "GroupShapeColorChooser";
	public static final String GROUP_TEXT_COLOR_CHOOSER = "GroupTextColorChooser";
	
	public static final String CREATE_FLAT_FILES = "CreateFlatFiles";
	
	
	
	/* those that appear in the gui or on the messge screen */
	
	public static final String[] GUI_STRINGS = {
		
	};
	
	/* those that appear in the generated reports */
	
	public static final String[] REPORT_STRINGS = {
		
	};
	
	/* those that do not require translation */
	public static final String[] INTERNAL_STRINGS = {
		
	};
	
	public static List<String> STRINGS_REQUIRING_TRANSLATION() {
	
		List<String> al = new ArrayList<String>(Utilities.asList(GUI_STRINGS));
		al.addAll(Utilities.asList(REPORT_STRINGS));
		return al;
	}
	
	

	public static final String[] ALL_STRING_CONSTANTS = {
		COUNTS,
		ABOUT, ACKNOWLEDGEMENTS, ALL, ALL_VARIABLES, ANALYZE_LOOPS, ANALYZE_LOOPS_WITH_IVV,
		ANALYZING, ARROW_INFORMATION, AUXILIARY, BOTH, BOTTOM_MARGIN, BROWSE,
		CASCADING_LOOKUP_FUNCTIONS, /*CAUSAL_LINKS,*/ CAUSE, CLEARING_DATA_SRUCTURES, COMMENT_CLEANER, COMMENTS_HAVE_BEEN_EXTRACTED,
		COMMENTS_HAVE_BEEN_MERGED, COMPLEX_STOCK, COMPLEX_VARIABLE, CONSTANT, CONSTRUCTOR, CREATE_ZIP_FILE_WITH_ALL_OUTPUT_REPORTS,
		DATA, DATA_LOOKUP_TABLES, DEFINITION_INPUT_FILE, DELAY, DESCRIPTION, DIMENSIONLESS_UNIT_VARIABLES,
		DISPLAYING_DOCUMENT, DOCUMENTATION_OF, EFFECT, EQUATIONS_WITH_EMBEDDED_DATA, EQUATIONS_WITH_IF_THEN_ELSE_FUNCTIONS, EQUATIONS_WITH_MIN_OR_MAX_FUNCTIONS,
		EQUATIONS_WITH_STEP_PULSE_OR_RELATED_FUNCTIONS, EQUATIONS_WITH_UNIT_ERRORS_OR_WARNINGS, EXECUTING, EXIT, EXIT_APPLICATION, EXPANDED_MACRO_DEFINITION,
		/*EXTRACT,*/ EXTRACT_COMMENTS, EXTRACT_COMMENTS_FROM_VENSIM_FILE, EXTRACTED_COMMENTS_FILE, EXTRACTED_COMMENTS_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN, 
		EXTRACT_VARIABLE_NAMES, EXTRACT_VARIABLE_NAMES_FROM_VENSIM_FILE, EXTRACTED_VARIABLE_NAMES_FILE, EXTRACTED_VARIABLE_NAMES_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN,
		FEEDBACK,
		FEEDBACK_LOOPS, FEEDBACK_LOOPS_WITH_IVV, FILE, FINAL_TIME, FLOW, FONT_SIZE,
		FUNCTION_BASED_POLARITY_CAUSAL_LINKS, FUNCTION_SENSITIVITY_PARAMETERS, GAME, GENERATE_DOCUMENT, GENERATING_CAUSAL_TREES, GENERATING_DOCUMENT,
		/*GENERATING_INDEPENDENT_LOOP_SET,*/ GENERATING_LOOPS, GENERATING_POLARITY_CODE, GENERATING_LEEA_CODE, GRAPH_AND_OUTPUT_OPTIONS, GROUP, GROUPS,
		GROUP_COMMENTS, HEIGHT, HELP, HIGHLIGHT_POINT, HIGHLIGHT_POINT_X, HIGHLIGHT_POINT_Y,
		IGNORE_EMBEDDED_CONSTANTS_OF_0_OR_1, IN, INCLUDE_MDL, INCLUDE_THUMBNAILS, LIMIT_THUMBNAIL_COUNT, OVERRIDE_LOOP_COUNT,
		INFINITE, INITIAL, INITIAL_TIME, LANGUAGE, LEFT, LEFT_MARGIN,
		LENGTH, LEVEL, LEVEL_INITIAL, /*LICENSE, LICENSE_TEXT,*/ LINK_POLARITY,
		LIST_OF, LOOKUP, LOOKUP_TABLES, LOOP, LOOP_LIST_NO_IVV, LOOP_LIST_WITH_IVV,
		LOOP_SIZE_MAXIMUM, /* LOOP_SIZE_START, LOOP_SIZE_AUTO_DISCOVER,*/ LOOPS, LOOPS_NOT_REQUESTED, MACRO_DEFINITION,
		MACROS, MAXIMUM_LOOP_LENGTH, /*MERGE, */
		MERGE_COMMENTS, MERGE_COMMENTS_WITH_VENSIM_FILE, MERGED_COMMENTS_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN,
		MERGED_VENSIM_FILE,
		REPLACE_VARIABLE_NAMES, REPLACE_VARIABLE_NAMES_WITH_VENSIM_FILE, REPLACED_VARIABLE_NAMES_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN,
		REPLACED_VARIABLE_NAMES_VENSIM_FILE,
		META_DATA, MODEL_ASSESSMENT_RESULTS, MODEL_ASSESSMENT_RESULTS_OPTIONS, MODEL_INFORMATION, MODEL_IS_FULLY_FORMULATED,
		MODELER_DEFINED_GROUPS, MODULE, MODULES, NAME, NEGATIVE_POLARITY_CAUSAL_LINKS, NO,
		NON_ZERO_END_SLOPED_LOOKUP_FUNCTIONS, NONMONOTONIC_LOOKUP_FUNCTIONS, NUMBER_OF_FEEDBACK_LOOPS, NUMBER_OF_UNDOCUMENTED_VARIABLES, OPTIONS, ORIGINAL_VENSIM_FILE,
		OVERWRITE, PARSING_EQUATIONS, POLARITY, POSITIVE_POLARITY_CAUSAL_LINKS, POTENTIAL_OMISSIONS, PRESENT_IN,
		PRESENT_IN_VIEWS, 
		/*
		QUICK_LINK_NAME_ARROW_POLARITY, QUICK_LINK_NAME_FEEDBACK_LOOPS, QUICK_LINK_NAME_GROUPS, QUICK_LINK_NAME_MACROS, QUICK_LINK_NAME_MODULES,
		QUICK_LINK_NAME_VARIABLE_TYPE, QUICK_LINK_NAME_VARIABLES, QUICK_LINK_NAME_VIEW_VARIABLE_PROFILE, QUICK_LINK_NAME_VIEW_VARIABLES, QUICK_LINK_NAME_VIEWS, QUICK_LINK_TITLE_ARROW_POLARITY,
		QUICK_LINK_TITLE_FEEDBACK_LOOPS, QUICK_LINK_TITLE_GROUPS, QUICK_LINK_TITLE_MACROS, QUICK_LINK_TITLE_MODULES, QUICK_LINK_TITLE_VARIABLE_TYPE, QUICK_LINK_TITLE_VARIABLES,
		QUICK_LINK_TITLE_VIEW_VARIABLE_PROFILE, 
		*/
		VARIABLE_RELATIONSHIPS, VARIABLE_LOOPS, LIMIT_VR_LOOPS, LIMIT_V_LOOPS,
		MAX_SEARCH_TIME_MINUTES, /*MAX_LIMIT_VR_LOOPS, MAX_LIMIT_V_LOOPS,*/
		/*
		QUICK_LINK_TITLE_VIEW_VARIABLES, QUICK_LINK_TITLE_VIEWS,
		*/ 
		QUICK_LINKS,
		QUIT, RATIO, READING_MDL_FILE, READING_XML_FILE, REGISTER_LANGUAGE, REPORT_CREATED_ON,
		REPORTED_TIME_INTERVAL, RESULT, RIGHT, RULE_THRESHOLD, SAVE, SDM_DOC_TOOL,
		SELECT_ALL, SELECT_LANGUAGE, SELECT_NONE, SELECT_USER_OPTIONS, SET_DEFAULTS, SIDE,
		SMOOTH, SOURCE_FILE, /*SPECIFIC_VIEW_VARIABLES,*/ STATE_VARIABLES, STATE_VARIABLES_TOTAL_STOCKS, STOCK_VARIABLES,
		SUBSCRIPTS, SUPPLEMENTARY_VARIABLES, SUPPLEMENTARY_VARIABLES_BEING_USED, SYSTEM_MESSAGES, THUMBNAIL, THUMBNAIL_MAXIMUM,
		TIME_STEP, TIME_UNIT, TOOLS, TOP, TOTAL_NUMBER_OF_CAUSAL_LINKS, TOTAL_NUMBER_OF_EQUATIONS_USING_MACROS,
		TOTAL_NUMBER_OF_FEEDBACK_LOOPS_NO_IVV, TOTAL_NUMBER_OF_FEEDBACK_LOOPS_WITH_IVV, /*TOTAL_NUMBER_OF_FUNCTION_BASED_POLARITY_CAUSAL_LINKS,*/
		TOTAL_NUMBER_OF_MACROS, TOTAL_NUMBER_OF_NEGATIVE_POLARITY_CAUSAL_LINKS, TOTAL_NUMBER_OF_POSITIVE_POLARITY_CAUSAL_LINKS,
		TOTAL_NUMBER_OF_STATE_VARIABLES, TOTAL_NUMBER_OF_STOCKS, TOTAL_NUMBER_OF_VARIABLES, TOTAL_STOCKS_DO_NOT_INCLUDE_FIXED_DELAY_VARIABLES, TRANSLATION_FILE,TRANSLATION_FILE_DIRECTORY,
		/*TYPE,*/ UNDOCUMENTED_VARIABLES, UNLIMITED, UNUSED_VARIABLES, USED_BY, USING_MACROS,
		VALUE_RANGE_SPECIFIED, VARIABLE, VARIABLE_INFORMATION, VARIABLE_NAME_AND_DESCRIPTION, VARIABLE_TYPES, VARIABLES,
		VARIABLES_NOT_IN_ANY_VIEW, VARIABLES_WITH_DIMENSIONLESS_UNITS, VARIABLES_WITH_SOURCE_INFORMATION, VERSION, VIEW, VIEWS,
		VIEW_SUMMARY, VIEW_VARIABLE_PROFILE, VIEW_WIDTH_MAX, VIEWS_AND_THEIR, WARNING, WARNINGS,
		WIDTH, YES, EQUATION_LIMIT, FLATTEN, COMMENTS, RUNNER,
		HASHMAP, NATIVE, CODE_GENERATION_OPTIONS, /*ABORT_MEMORY_LIMITATIONS,*/ OVERRIDING_LOOP_LIMIT_PER_USER_REQUEST, DETERMINING_VARIABLE_RELATIONSHIPS_FROM_DISCOVERED_LOOPS,
		TOO_MANY_LOOPS_TO_GENERATE_VARIABLE_RELATIONSHIP_REPORT, LOOP_DISCOVERY_FAILURE_PRECLUDES_GATHERING_VARIABLE_LOOPS, GENERATING_VARIABLE_LOOPS_REPORT, /*LOOKING_LONGER_LOOPS,*/ /*DECREASE_MAXIMUM_LENGTH,*/ /*LOOP_DISCOVERY_COMPLETE,*/
		/*COULD_NOT_COMPLETE_LOOP_PROCESSING,*/ SETTING_MAX_LENGTH, PROCESSING_DISCOVERED_LOOPS, INSUFFICIENT_SPACE_TO_PROCESS_ALL_LOOPS,
		INCLUDE_LOOP_SIZE, INCLUDE_TIME_STAMP, NAMING_OPTIONS, RATE_TO_RATE_LINKS, NUM_RATE_TO_RATE_LINKS, /*TAIL, HEAD,*/
		REUSE,
		REUSE_THUMBNAILS,
		REUSE_VIEW_DIAGRAM,
		REUSE_POLARITIES,
		REUSE_LOOPS,
		REUSE_CLASS, GENERATE_3D,
		HYPERLINK_LOOP,
		/* QUICK_LINK_NAME_IN_OUT_LINKS, */
		EXOGENOUS, /* QUICK_LINK_NAME_EXOGENOUS, */
		MAXIMUM_ENDOGENOUS_PATH_LENGTH,
		AVAILABLE_FOR_REUSE,MODEL_COPIER,ORIGINAL_VENSIM_MODEL_FILE_NAME,
		ORIGINAL_EXCEL_DATA_FILE_NAME, NUMBER_OF_COPIES,
		MAKE_COPIES, INVALID_COPY_COUNT, COPIES_CREATED, PROGRESS, EXOGENOUS_PROGRESS, 
		EXOGENOUS_PROGRESS_COUNT, GENERATE_MODEL_COPIES, EXOGENOUS_VARIABLE_COUNT, COUNTING_NUMBER_OF_CYCLES_WITH_MAXIMUM_LENGTH,
		NUMBER_OF_CYCLES, USING_TIME_AND_MEMORY_RESTRICTED_LOOP_DISCOVERY, LOOP_DISCOVERY_COMPLETED_AT_MAXIMUM_LENGTH_OF,
		/* PROCESSING_DISCOVERED_LOOPS_LOOP_COUNT,*/ PERFORMING_MINIMUM_MEMORY_LOOP_PROCESSING, TOTAL_CYCLES, MODEL_IS_NOT_RUNNABLE,
		REASONS, /*MODEL_RUN_NOT_EQUESTED,*/
		PREPARING_EQUATION_VARIABLES,
		COUNTING_AND_BUILDING_TABLES,
		WRITING_FILE,
		CREATING_ZIP_FILE,
		HTML_REPORT_FILE_GENERATED,
		OPENING_HTML_IN_BROWSER,
		EXOGENOUS_ENDOGENOUS_ANALYSIS,
		OF,TO,
		ENDOGENOUS_VARIABLE_COUNT,
		ENDOGENOUS_LEVEL_LIMIT, 
		ORDER_CONSTANTS,
		ORDER_INITIALIZERS,
		ORDER_STOCKS,
		ORDER_AUXILIARIES,
		ANALYZE_EVALUATION_ORDER,
		CLEAN_EVALUATION_ORDER,
		ADDING_EVALUATION_ORDER_TO_MAPPER_FILE,
		WRITING_CODE,
		DETERMINING_EVALUATION_ORDER,
		EVALUATION_ORDERING_FAILED,
		COMPILING_MODEL_MEMORY,
		COMPILING_MODEL_EQUATIONS,
		COMPILE_ERROR_CODE,
		EXECUTING_MODEL_TO_GENERATE_BASELINE_RUN,
		COULD_NOT_CREATE_THUMBNAILS,
		JAVA_COMPILE_ERRORS,
		BEGIN_PROCESSING_EQUATIONS,
		DETERMINING_EQUATION_VARIABLE_CHARACTERISTICS,
		DETERMINING_MEMORY_REQUIREMENTS,
		EXPANDING_LHS_OF_EQUATIONS,
		TOTAL_EXPANDED_COUNT_FOR,
		EQUATIONS,
		EQUATION,
		CREATING_THUMBNAILS,
		LOOP_SEARCH_PROGRESS,
		FOUND,
		LONGEST,
		AUTO_DISCOVER_START_POINT,
		TD_GENERATION_REQUIRES_LOOPS_BE_GENERATED,
		HEAP_SPACE_LOW,
		INSUFFICIENT_HEAP_SPACE,
		TERMINATING_SEARCH,
		AVAILABLE,
		TRYING_TO_CORRECT,
		AVAILABLE_HEAP_SPACE_AT_PROCESS_START,
		SOMETHING_WRONG_SUCCESS_WITH_NO_FAIL,
		INCREASE_MAXIMUM_LENGTH_FROM,
		LOOKING_FOR_LONGER_LOOPS,
		CURRENT_LOOP_COUNT,
		ADJUST_MAXIMUM_LENGTH_FROM,
		DECREASE_MAXIMUM_LENGTH_FROM,
		HEAP_SPACE_AVAILABLE,
		LOOP_DISCOVERY_ABORTED_DUE_TO_MEMORY_LIMITATIONS,
		LOOPS_WITH_IVV,
		LOOPS_WITHOUT_IVV,
		TRYING_MAXIMUM_LENGTH,
		HEAP_SPACE_LIMITS_REACHED,
		TIME_LIMIT_EXCEEDED,
		SECONDS,
		SEARCH_TIME,
		COULD_NOT_COMPLETE_LOOP_PROCESSING_AT_LOOP_MAXIMUM_LENGTH_OF,
		REDUCING_MAXIMUM_LENGTH_TO,
		SETTING_MAXIMUM_LENGTH_TO,
		AND_RETRYING,
		AUTO_DISCOVERY_OF_MAXIMUM_LOOP_LENGTH_WITHOUT_IVV,
		LOOP_DISCOVERY_FAILURE,
		LOOPS_WERE_FOUND_WITH_MAXIMUM_LENGTH_OF,
		AUTO_DISCOVERY_OF_MAXIMUM_LOOP_LENGTH_WITH_IVV,
		MAXIMUM_LOOP_LENGTH_WITHOUT_IVV,
		MAXIMUM_LOOP_LENGTH_WITH_IVV,
		OVERALL_DISCOVERED_MAXIMUM_LOOP_LENGTH,
		SET_LOOP_START_VARIABLES,
		ASSIGN_LOOP_NUMBERS,
		WRITE_ALL_KNOWN_LOOPS,
		TOO_MANY_LOOPS_TO_GENERATE_VARIABLE_LOOP_REPORT,
		LOOP_COUNT,
		USER_OVERRIDE_OF_LOOP_LIMIT_WILL_DO_FULL_PROCESSING,
		TERMINATING,
		PERFORMING_FULL_LOOP_PROCESSING,
		WRITING_3D_DATA_TO_FILE,
		COULD_NOT_GENERATE_3D_FILE,
		EVALUATION_ORDER_PROBLEMS,
		EXOGENOUS_VARIABLE_ANALYSIS,
		ENDOGENOUS_VARIABLE_ANALYSIS,
		VARIABLE_NAMES_TRANSLATOR,
//		REPLACE_VARIABLE_NAMES,
		TOTAL_NUMBER_OF_EXOGENOUS_VARIABLES,
		TOTAL_NUMBER_OF_ENDOGENOUS_VARIABLES,
		DEVELOPERS,
		COLLABORATORS,
		INTERNATIONALIZATION,
		UNITS_USED,
		IN_OUT_LINKS,
		NON_ZERO,
		UNITS_ALTERNATES,
		SAVING_EXPANDED_LHS_EQUATION_DEFINITION,
		UNITS,
		COMPLEXITY,
		INITIALIZE_TRANSLATION,
		UNITS_NAME,
		UNITS_TYPE,
		ENDOGENOUS,
		HARDCODED,
		EXTERNAL,
		VARIABLE_NUMBER,
		
		DATA_SOURCE,
		INPUT_LINKS,
		DIRECT_EXOGENOUS,
		PCT_EXOGENOUS,
		INDIRECT_EXOGENOUS,
		INDIRECT_MINIMUM,
		INDIRECT_MEAN,
		INDIRECT_MEDIAN,
		INDIRECT_MAXIMUM,
		BASIC,
		COMBINED,
		EXOGENOUS_UNCONNECTED,
		EXOGENOUS_CONNECTED,
		VIEW_LIST,
		NONE,
		DISTANCE,
		EXOGENOUS_ENDOGENOUS_REFERENCE,
		EXOGENOUS_ENDOGENOUS_PATH,
		EXOGENOUS_ENDOGENOUS_DISTANCE,
		EXOGENOUS_ENDOGENOUS_TO_FILE,
		LOAD_AND_PROCESS,
		CLOSE,
		TRANSLATING,
		ERROR_MESSAGES,
		HTML_REPORT_NOT_GENERATED,
		INTERNAL_ERROR_DETECTED,
		JAVA_ERROR_MESSAGES,
		INVALID,
		SEE,
		OPERATING_SYSTEM,
		GENERATING_CODE,
		ERROR,
		SYNTAX,
		SEMANTICS,
		MAXIMUM_PATH_LENGTH_MUST_BE_AN_INTEGER,
		SPECIFIED_VALUE,
		MAXIMUM_NUMBER_OF_THUMBNAILS_LIMITED_TO,
		MAXIMUM_NUMBER_OF_THUMBNAILS,
		MUST_BE_AN_INTEGER_IN_THE_RANGE,
		THIS_LANGUAGE_TRANSLATION_HAS_ALREADY_BEEN_REGISTERED,
		LANGUAGE_REGISTRATION,
		REGISTRATION_COMPLETE,
		MAXIMUM_LOOP_LENGTH_MUST_BE_AN_INTEGER,
		INVALID_MAXIMUM_LOOP_LENGTH,
		PLEASE_SPECIFY_SYSTEM_DYNAMICS_MODEL_FILENAME,
		SPECIFIED_SYSTEM_DYNAMICS_MODEL_NOT_FOUND,
		CAUSAL_LINKS,
		SOURCE,
		VARIABLE_NAMES_HAVE_BEEN_EXTRACTED,
		VARIABLE_NAMES_HAVE_BEEN_REPLACED,
		MICMAC_ANALYSIS,
		RUN_LOOP_LENGTH_ANALYSIS,
		VENSIM_MODEL_FILE_NAME,
		STARTING_LENGTH,
		ENDING_LENGTH,
		INVALID_STARTING_LENGTH,
		INVALID_ENDING_LENGTH,
		ASSOCIATED_ARROW_POLARITY_FILE_NOT_FOUND,
		PROCESSING_COMPLETE,
		LOOP_LENGTH_ANALYSIS,
		LANGUAGE_ADMINISTRATION,
		GENERATE_TRANSLATION_FILES,
		SELECT_ONE_OR_MORE,
		DESTINATION_DIRECTORY,
		LANGUAGE_TRANSLATION_REPORT,
		VIEW_TRANSLATION_REPORTS,
		SAVE_TRANSLATION_REPORTS,
		SETTING_DEFAULT_LANGUAGE_TO,
		TOTAL,
		IN_OUT_COUNTS,
		IN_OUT_RATIO,
		IN_LINKS_BY_POLARITY,
		OUT_LINKS_BY_POLARITY,
		ENDOGENOUS_EXOGENOUS_UNCONNECTED_VARIABLES,
		ENDOGENOUS_EXOGENOUS_CONNECTED_VARIABLES,
		NONE_SPECIFIED,
		LHS_UNITS,
		RHS_UNITS,
		COMPLETE_RHS_UNITS,
		INCONSISTENT,
		FUNCTION_SKIP,
//		UNDEFINED_LOAD,
		UNDEFINED,
//		UNDEFINED_HEAD,
//		UNDEFINED_TAIL,
		
		ITE_SWITCH,
		LOOKUP_INCONSISTENT,
		LOOKUP_EXTERNAL,
		LOOKUP_NO_EQN,
		NO_EFFECT,
	//	TIME_DELAY_SMOOTH,
		
		LOOKUP_USED_WITH_DIMENSIONED_ARGUMENT,
		IMPROPER_UNITS_FOR_FUNCTION_ARGUMENT,
		MISMATCHED_UNTIS_IN_FUNCTION_CALL,
		INCONSISTENT_RHS_UNIT_EXPRESSION,
		CONTROL_VARIABLES,
		
		SUMMARY_REPORTS,
		DETAILED_REPORTS,
		
		WRITE_LOOPS_TO_FILE,
		READ_LOOPS_FROM_FILE,
		SOURCES,
		NUMBER_OF_VARIABLES,
		PCT_OF_TOTAL,
		EFFECTIVE_NUMBER_OF_VARIABLES,
		EFFECTIVE_PCT_OF_TOTAL,
		IN_COUNTS,
		OUT_COUNTS,
		POSITIVE_IN_LINKS,
		NEGATIVE_IN_LINKS,
		UNKNOWN_POLARITY_IN_LINKS,
		POSITIVE_OUT_LINKS,
		NEGATIVE_OUT_LINKS,
		UNKNOWN_POLARITY_OUT_LINKS,
		
		PCT_OF_FEEDBACK_LOOPS,
		
		POSITIVE_POLARITY_FEEDBACK_LOOPS,
		POSITIVE_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS,
		POSITIVE_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS,
		
		NEGATIVE_POLARITY_FEEDBACK_LOOPS,
		NEGATIVE_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS,
		NEGATIVE_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS,
		
		UNKNOWN_POLARITY_FEEDBACK_LOOPS,
		UNKNOWN_POLARITY_MIN_LENGTH_FEEDBACK_LOOPS,
		UNKNOWN_POLARITY_MAX_LENGTH_FEEDBACK_LOOPS,
		
		INFORMATION,
		SCREEN,
		ADJACENCY_TO_MAP,
		VENSIM_MAP_FILE,
		ADJACENCY_MATRIX_FILE,
		GENERATE_MAP,
		VENSIM_MAP_FILE_EXISTS_AND_WILL_BE_OVERWRITTEN,
		ADJACENCY_TO_MAP_COMPLETED,
		LIMIT_LONGEST_LOOPS,
		MAX_LIMIT_LONGEST_LOOPS,
		
		VARIABLE_A,
		VARIABLE_B,
		MIN_AB,
		MAX_AB,
		MIN_BA,
		MAX_BA,
		NUMBER_OF_LOOPS,
		LIMIT_LOOPS_PER_FILE,
		MAX_LIMIT_LOOPS_PER_FILE,
		LOOP_DETAIL,
		CUMULATIVE,
		VISUALIZE_MAP_WITH,
		CIRCLE,
		ARCS,
		RECTANGLE,
		FEEDBACK_EMAIL,
		CIRCLE_PARAMETERS,
		ARCS_PARAMETERS,
		RECTANGLE_PARAMETERS,
		THRESHHOLD ,
		ARC_DEGREES,
		RADIUS,
		
		BY_GROUP,
		BY_OUTPUT,
		BY_INPUT,
		
		GROUP_FILE,
		GROUP_COLORS,
		
		BY_LOOP_LENGTH,
		SPECIFIC_LOOP_LENGTH,
		UP_TO_LOOP_LENGTH,
		CHOOSE_COLOR,
		
		OPTIONAL_GENERATED_MAP_OPTIONS,
		GROUP_FILE_DOES_NOT_EXIST,
		INTER_GROUP_GAP,
		SELECT_ADJACENCY_MATRIX_FILE,
		SELECT_ADJACENCY_MATRIX_GROUP_FILE,
		SELECT_ADJACENCY_MATRIX_MAP_FILE,
		SHAPE_SIZE,
		ARROW_WIDTH,
		GROUP_SHAPE_COLOR_CHOOSER,
		GROUP_TEXT_COLOR_CHOOSER,
		CREATE_FLAT_FILES

	};

	
}
