package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.analysis.polarity.ArrowPolarity;
import gov.anl.gss.sdm.server.model.translator.GraphicObject;

public class ArrowPolaritySelector {

	private String selectionCriteria;
	private String internalName;
	
	public ArrowPolaritySelector(String selectionCriteria, String internalName) {
		this.selectionCriteria = selectionCriteria;
		this.internalName = internalName;
	}
	
	public boolean isSelect(ArrowPolarity arrow) {
		return true;
	}

	public String getSelectionCriteria() {
		return selectionCriteria;
	}

	public String getInternalName() {
		return internalName;
	}
	
	public boolean ignore(ArrowPolarity arrow) {
		if (arrow.getTail().startsWith(GraphicObject.CLOUD_NAME) ||
				arrow.getHead().startsWith(GraphicObject.CLOUD_NAME))
			return true;
		else
			return false;
	}
}
