package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.analysis.polarity.ArrowPolarity;

public class ArrowPolaritySelectorNegative extends ArrowPolaritySelector {

	public ArrowPolaritySelectorNegative(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelect(ArrowPolarity arrow) {
		if (ignore(arrow))
			return false;
		return arrow.isNegativePolarity();
	}
}