package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.analysis.polarity.ArrowPolarity;
import gov.anl.gss.sdm.server.model.documentor.xmlwriter.StringConstants;

public class ArrowPolaritySelectorUnknown extends ArrowPolaritySelector {

	public ArrowPolaritySelectorUnknown(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelect(ArrowPolarity arrow) {
		if (ignore(arrow))
			return false;
		return arrow.isUnknownPolarity() && !arrow.getPolarity().equals(StringConstants.UNDEFINED);
	}
}