package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorIfThenElse extends VariableSelector {

	public VariableSelectorIfThenElse(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (equation.isUsesIfThenElse()) {
			return isUnique(equation.getVariableName());
		}
		return false;
	}
	
	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isUsesIfThenElse();
	}

}
