package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorMinMax extends VariableSelector {

	public VariableSelectorMinMax(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (equation.isUsesMinMax())
			return isUnique(equation.getVariableName());
		return false;
	}

	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isUsesMinMax();
	}
}
