package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorNotInView extends VariableSelector {

	public VariableSelectorNotInView(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}

	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (ignore(equation))
			return false;
		if (!equation.isNotInView())
			return false;
		return isUnique(equation.getVariableName());
		
	}
	
	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		if (ignore(equation))
			return false;
		if (!equation.isNotInView())
			return false;
		
		else
			return true;
	}


}
