package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorSmooth extends VariableSelector {

	public VariableSelectorSmooth(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}

	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (!equation.isUsesSmooth())
			return false;
		else
			return isUnique(equation.getVariableName());

	}

	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isUsesSmooth();
	}

}
