package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorUnitErrorsWarnings extends VariableSelector {

	public VariableSelectorUnitErrorsWarnings(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}

	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (equation.isUnitErrorsWarnings())
			return isUnique(equation.getVariableName());
		else
			return false;
	}

	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isUnitErrorsWarnings();
	}

}
