package gov.anl.gss.sdm.server.model.structure;

import gov.anl.gss.sdm.server.model.translator.Equation;
import gov.anl.gss.sdm.server.model.translator.InformationManagers;

public class SDObject {

	private String name;
	private String objectType;
	private Equation equation;
	
	
	public SDObject() {
		
	}
	
	public SDObject(String name, String type) {
		this.name = name;
		this.objectType = type;
		
		InformationManagers.getInstance().getSdObjectManager().registerObject(this);
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getObjectType() {
		return objectType;
	}
	public void setObjectType(String type) {
		this.objectType = type;
	}

	public Equation getEquation() {
		return equation;
	}

	public void setEquation(Equation equation) {
		this.equation = equation;
	}
}
