package gov.anl.gss.sdm.server.model.support;

public class VariableOrder implements Comparable<VariableOrder> {

	private String variable;
	private int order;
	
	public VariableOrder(String variable, int order) {
		this.variable = variable;
		this.order = order;
	}
	@Override
	public int compareTo(VariableOrder arg0) {
		return order < arg0.order ? -1 : order > arg0.order ? 1 : 0;
	}
	public String getVariable() {
		return variable;
	}
	public int getOrder() {
		return order;
	}
	
	
}
