package gov.anl.gss.sdm.server.model.support.database;

public class ModelVariable {
	
	private final String name;
	private final String type;
	private final int index;
	private final int numElements;
	
	public ModelVariable(
			String name, String type, int index, int numElements
			) {
		this.name = name;
		this.type = type;
		this.index = index;
		this.numElements = numElements;
	}

	public String getName() {
		return name;
	}

	public String getType() {
		return type;
	}

	public int getIndex() {
		return index;
	}

	public int getNumElements() {
		return numElements;
	}

}
