package gov.anl.gss.sdm.server.model.tools;

import java.util.ArrayList;
import java.util.List;

public class SDModelCustomGraph {
	
	private String title;
	private List<String> variables;
	
	public SDModelCustomGraph(String title) {
		this.title = title;
		variables = new ArrayList<String>();
	}
	
	public void addVariable(String var) {
		variables.add(var);
	}
	
	public String getFileRecord() {
		StringBuilder sb = new StringBuilder();
		sb.append(title);
		for (String var : variables) {
			sb.append("\t");
			sb.append(var);
		}
		sb.append("\n");
		
		return sb.toString();
	}

}
