package gov.anl.gss.sdm.server.model.translator;

import gov.anl.gss.sdm.server.model.analysis.loops.Loop;
import gov.anl.gss.sdm.server.model.support.database.SDMDocDatabase;

import java.util.List;

public class DatabaseManager {
	
	private SDMDocDatabase db;
	
	public DatabaseManager() {
		
	}

	public SDMDocDatabase getDb() {
		return db;
	}

	public void setDb(SDMDocDatabase db) {
		this.db = db;
	}
	
	public void writeLoops(List<Loop> loops, String type) {
			db.writeLoops(loops, type);
	}
	
	public void shutdownDatabase() {
		db.shutdown();
	}

}
