package gov.anl.gss.sdm.server.model.translator;

import java.util.LinkedHashMap;
import java.util.Map;

public class PolarityManager {
	
	private Map<String, String> variableToID = new LinkedHashMap<String, String>();
	private Map<String, String> idToVariable = new LinkedHashMap<String, String>();
	private int id = 0;
	
	public PolarityManager() {
		
	}
	
	public void addVariable(String var) {
		if (variableToID.containsKey(var))
			return;
		String ids = Integer.toString(id);
		variableToID.put(var, ids);
		idToVariable.put(ids, var);

		id++;
	}
	
	public String getID(String var) {
		return variableToID.get(var);
	}
	
	public String getVariable(String id) {
		return idToVariable.get(id);
	}

}
