package gov.anl.gss.sdm.server.model.xmile;

import gov.anl.gss.sdm.server.model.translator.Equation;

import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;

public class FunctionTranslations {
	
	// some functions need to be changed in some way
	// some names change
	// some have different numbers of arguments
	// some use array slicing
	
	public static Set<String> functionsWithArraySlicing = new LinkedHashSet<String>();
	public static Map<String, String> functionsWithDifferentNames = new LinkedHashMap<String, String>();
	public static Map<String, String> functionsWithDifferentArgs = new LinkedHashMap<String, String>();
	public static Set<String> functionsWithOptionalArgs = new LinkedHashSet<String>();
	
	static {
		functionsWithArraySlicing.add("MAX");
		functionsWithArraySlicing.add("MEAN");
		functionsWithArraySlicing.add("MIN");
		functionsWithArraySlicing.add("RANK");
		functionsWithArraySlicing.add("SIZE");
		functionsWithArraySlicing.add("STDDEV");
		functionsWithArraySlicing.add("SUM");
		
		functionsWithDifferentNames.put("EXPRND", "RANDOM EXPONENTIAL");
		functionsWithDifferentNames.put("NORMAL", "RANDOM NORMAL");
		functionsWithDifferentNames.put("POISSON", "RANDOM POISSON");
		functionsWithDifferentNames.put("SMTH1", "SMOOTH");
		functionsWithDifferentNames.put("SMTH3", "SMOOTH3");
		functionsWithDifferentNames.put("SMTHN", "SMOOTH N");
		
		functionsWithDifferentArgs.put("EXPRND", "RANDOM EXPONENTIAL");
		functionsWithDifferentArgs.put("NORMAL", "RANDOM NORMAL");
		functionsWithDifferentArgs.put("POISSON", "RANDOM POISSON");
		
		functionsWithOptionalArgs.add("DELAY");
		functionsWithOptionalArgs.add("DELAY1");
		functionsWithOptionalArgs.add("DELAY3");
		functionsWithOptionalArgs.add("DELAYN");
		functionsWithOptionalArgs.add("FORCST");
		functionsWithOptionalArgs.add("SMTH1");
		functionsWithOptionalArgs.add("SMTH3");
		functionsWithOptionalArgs.add("SMTHN");
		functionsWithOptionalArgs.add("TREND");
	}
	
	public static void processFunctions(BuildingBlock bb, Equation eqn) {
		
	}
	
	public static Set<String> arrayFunctions() {
		return functionsWithArraySlicing;
	}

}
