package gov.anl.gss.sdm.server.model.xmile;

import java.util.ArrayList;
import java.util.List;

public class GraphicsBuilder {
	
private XmileModel xmileModel;
	
	public GraphicsBuilder(XmileModel xmileModel) {
		this.xmileModel = xmileModel;
	}
	
	public List<String> buildRaw() {
		
		List<String> graphics = new ArrayList<String>();
		
		for (Model model : xmileModel.getModels()) {
			if (model.getName().length() == 0)  // this is the model tag dealing with modules
				continue;
			graphics.addAll(model.getAsVensimView());
		}
		
		return graphics;
	}
}
