package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class Parm extends XmileObject {

	private String parameter;
	
	public Parm(Element parmElement) {
		parameter = XMLUtilities.getNodeValue(parmElement);
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}
	
	@Override
	protected void print() {
		System.out.println("Parm: "+parameter);

	}

	/**
	 * @return the parameter
	 */
	public String getParameter() {
		return parameter;
	}

}
