package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class XScale extends XmileObject {
	
	private String min;
	private String max;
	
	public XScale(Element xscaleNode) {
		if (XMLUtilities.hasAttribute(xscaleNode, "min")) {
			min = XMLUtilities.getAttribute(xscaleNode, "min");
		}
		
		if (XMLUtilities.hasAttribute(xscaleNode, "max")) {
			max = XMLUtilities.getAttribute(xscaleNode, "max");
		}
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}

	@Override
	protected void print() {
		System.out.println("XScale: min: "+min+" max: "+max);

	}

	/**
	 * @return the min
	 */
	public String getMin() {
		return min;
	}

	/**
	 * @return the max
	 */
	public String getMax() {
		return max;
	}

}
