package gov.anl.gss.sdm.shared;

/**
* @author Mary Ann Bitz
* Argonne National Laboratory
* Global Security Sciences Division 
*/
/**
 * Class to hold one of the outputs used in a simulation model
 */
@SuppressWarnings("serial")
public class Output extends Variable{
	public Output(int position,String name, String description,String units,String displayName, String displayUnits, boolean included,
			String type) {
		super(position,name, description,units,displayName, displayUnits, included, type);
	}
	public Output() {
	}
	
	public String toString() {
		return "Output: " + name;
	}
}