package gov.anl.gss.sdm.shared;


import java.io.Serializable;
import java.util.HashMap;
import java.util.LinkedHashMap;


@SuppressWarnings("serial")
public class RunResultsData implements Serializable{
	RunObject run;
	HashMap<Variable,ResultsData> results;
	public RunResultsData(){
		results=new LinkedHashMap<Variable,ResultsData>();
	}
	public ResultsData getResults(Variable variable) {
		return results.get(variable);
	}
	public void setResults(ResultsData data) {
		results.put(data.getVariable(),data);
	}
	public RunObject getRun() {
		return run;
	}
	public void setRun(RunObject run) {
		this.run = run;
	}
	
}