package gov.anl.gss.sdm.shared.drawView;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.GeneralPath;

public class ValveGraphic extends GeneralGraphic{
	Integer iconShape;
	public ValveGraphic(ModelDiagram view){
		super(view);
	}
	public void parseFromStrings(String[] strings){
		try{
		iconShape= Integer.parseInt(strings[7]);
		super.parseFromStrings(strings);
		shape=0;
		}
		catch(NumberFormatException e){
			
		}
	}
	String parseName(String potentialName){
		return potentialName;
		//return potentialName.substring(1,potentialName.length()-1);
	}
	void drawWords(Graphics2D context){
		// instead draw an icon shape
		context.setPaint((color==null)? Color.black : color);
		
		GeneralPath path = new GeneralPath();
		
		if(iconShape==34){
			path.moveTo(x-wid, y-hi);
			path.lineTo(x+wid, y-hi);
			path.lineTo(x-wid, y+hi);
			path.lineTo(x+wid, y+hi);
			path.closePath();
			context.draw(path);
		}else{
			if(iconShape==33){
				path.moveTo(x-wid, y-hi);
				path.lineTo(x+wid, y+hi);
				path.lineTo(x+wid, y-hi);
				path.lineTo(x-wid, y+hi);
				path.closePath();
				context.draw(path);
			}else if(iconShape==37){
				int offset = (int)(0.7071*wid);
				path.moveTo(x+offset,y-offset);
				path.lineTo(x-offset,y+offset);
				context.draw(path);
				path.moveTo(x-offset,y-offset);
				path.lineTo(x+offset,y+offset);
				context.draw(path);
				
				context.drawArc(x+wid,y,wid,hi,0,360);
			}
		}
	}
}