package gov.anl.gss.sdm.server.model.analysis.graphtheory;


public class ExoDistance implements Comparable<ExoDistance>{

	String var;
	float distance;
	boolean varIsExogenous;
	
	public boolean isVarIsExogenous() {
		return varIsExogenous;
	}

	public void setVarIsExogenous(boolean varIsExogenous) {
		this.varIsExogenous = varIsExogenous;
	}

	public ExoDistance(String var, int distance, boolean varIsExogenous) {
		this.var = var;
		this.distance = (float) distance;
		this.varIsExogenous = varIsExogenous;
	}

	public String getVar() {
		return var;
	}

	public void setVar(String var) {
		this.var = var;
	}

	public float getDistance() {
		return distance;
	}

	public void setDistance(float distance) {
		this.distance = distance;
	}


	@Override
	public int compareTo(ExoDistance arg0) {
		
		if (this.distance < arg0.getDistance()) {
			return -1;
		} else if (this.distance > arg0.getDistance()) {
			return 1;
		} else 
			return this.var.compareToIgnoreCase(arg0.getVar());
	}
	
}
