package gov.anl.gss.sdm.server.model.analysis.leea.gui;

import gov.anl.gss.sdm.server.model.documentor.MessageProcessor;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

public class MessagesPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String title = "Messages";
	private StandaloneGUI gui;
	private MessagePanel messageProcessor;
	
	public MessagesPanel(StandaloneGUI gui) {
		super();
		this.gui = gui;

		setBorder(BorderFactory.createTitledBorder(null, title, TitledBorder.LEFT , 
				TitledBorder.TOP,  new Font("Arial", Font.BOLD,12) , Color.black));

		setPreferredSize(new Dimension(StandaloneGUI.MESSAGES_WIDTH, StandaloneGUI.MESSAGES_HEIGHT));
		setMinimumSize(new Dimension(StandaloneGUI.MESSAGES_WIDTH, StandaloneGUI.MESSAGES_HEIGHT));

		messageProcessor =  new MessagePanel();
		add(messageProcessor);
	}
	
	public MessageProcessor getMessageProcessor() {
		return messageProcessor;
	}

	
}
