package gov.anl.gss.sdm.server.model.analysis.loops;

import java.util.Set;

public interface LoopLengthAnalyzerInterface {

	public Set<Loop> getLoopsOfLength(int len);
	public Set<Loop> getIVVLoopsOfLength(int len);
	public int getNumberOfPositivePolarityLoops(Set<Loop> loopSet);
	public int getNumberOfNegativePolarityLoops(Set<Loop> loopSet);
	public int getNumberOfProblemPolarityLoops(Set<Loop> loopSet);
	public int getMinimumLengthLoopSize(Set<Loop> loopSet);
	public int getMaximumLengthLoopSize(Set<Loop> loopSet);
}
