package gov.anl.gss.sdm.server.model.analysis.loops;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableLoopCount {

	private String variable;
	private Equation equation;
	private int numLoops;
	
	public VariableLoopCount(
			String variable,
			Equation equation,
			int numLoops
			) {
		this.variable = variable;
		this.equation = equation;
		this.numLoops = numLoops;
	}

	public String getVariable() {
		return variable;
	}

	public Equation getEquation() {
		return equation;
	}

	public int getNumLoops() {
		return numLoops;
	}
}
