package gov.anl.gss.sdm.server.model.analysis.polarity;

import gov.anl.gss.sdm.server.model.translator.Equation;

import java.util.Map;

public interface CodeBuilderInterface {

	public int getNumIDs();
	public String build();
	public void  buildCode();
	public StringBuilder createClassSourceCode();
	public String getClassName();
	public double getDt();
	public Map<String, String> getIdToNameMap();
	public Equation getOriginalEquation();
	public Equation getEquation();
	public String getGeneratedCode();
	public String getVariableFor(String string);
	
}
