package gov.anl.gss.sdm.server.model.documentor;


public interface MessageProcessor {

	
	public void create(int xLoc, int yLoc);
		
	public void addMsg(String text);
	
	public void blip();
	
	public void addMessage(String text);
	
	public void addMessageNP(String text);
	
	public void addMessageNPNoView(String text);
	
	public void pause(long t);
	
	public void changeLanguage();
	
	public void showPanel();
	
	public void hidePanel();
	public boolean isBlipMode();
	
	public void setBlipMode(boolean blipMode);
	
	public void blipClear();
	
	public void endTask();
	public void disposeMessageFrame();
}
