package gov.anl.gss.sdm.server.model.documentor.docx;

import gov.anl.gss.sdm.server.model.documentor.docx.writer.Reportable;


public class Graph implements Reportable {
	
	private String filename;
	private String title;
	
	public Graph(String filename, String title) {
		this.filename = filename;
		this.title = title;
	}

	public String getFilename() {
		return filename;
	}

	public String getTitle() {
		return title;
	}

	@Override
	public boolean isTable() {
		return false;
	}

	@Override
	public boolean isGraph() {
		return true;
	}

	@Override
	public Table getTable() {
		return null;
	}

	@Override
	public Graph getGraph() {
		return this;
	}

}

