package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.documentor.SDMDocLanguageSpecific;
import gov.anl.gss.sdm.server.model.documentor.xmlwriter.StringConstants;

import javax.swing.JFrame;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
public class ImageDisplay  {
	
	
	public ImageDisplay (String aFile) {
		SDMDocLanguageSpecific language = SDMDocLanguageSpecific.getInstance();
		JFrame frame = new JFrame(language.getText(StringConstants.SDM_DOC_TOOL) + "/Java "
				+ language.getText(StringConstants.VERSION) + StandaloneGUI.version
				+ (System.getProperty("sun.arch.data.model").equals("32") ? " (x86) " : " (x64) ")
				+ " -- " + language.getDisplayName());
		ImageIcon icon = new ImageIcon(aFile);
		JLabel label = new JLabel(icon);

		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setViewportView(label);
		scrollPane.setPreferredSize(new SdmDimension(600, 600));
		frame.add(scrollPane);

		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

		System.out.println("ImageDisplay: "+aFile);

		frame.setLocation (600, 150) ;
		frame.pack();
		frame.setVisible(true);
	}
}
