package gov.anl.gss.sdm.server.model.documentor.gui;

import gov.anl.gss.sdm.server.model.documentor.SDMDocLanguageSpecific;

import javax.swing.JLabel;

public class JLabelLanguage extends JLabel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private ToolTip toolTip;

	public JLabelLanguage(String l, String tip) {
		super(l);
		setToolTipKey(tip);
	}

	public JLabelLanguage(String l) {
		super(l);
		setToolTipKey(l);
	}
	
	@Override
	public void setText(String l) {
		super.setText(SDMDocLanguageSpecific.getInstance().getText(l));
		if (toolTip != null)
			toolTip.setText(this);
	}
	
	public void setToolTipKey(String key) {
		toolTip = new ToolTip(key);
		toolTip.setText(this);
	}
}
