package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorLevel extends VariableSelector {

	public VariableSelectorLevel(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (!equation.isStock())
			return false;
		return isUnique(equation.getVariableName());
	}
	
	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isStock();
	}

}
