package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorSourceInformation extends VariableSelector {

	public VariableSelectorSourceInformation(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (equation.getComment() != null) {
			if (equation.isContainsSource())
			return isUnique(equation.getVariableName());
			else
				return false;
		} else {
			return false;
		}
	}
	
	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		if (equation.getComment() != null) {
			return equation.isContainsSource();
		} else {
			return false;
		}
	}

}