package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorState extends VariableSelector {

	public VariableSelectorState(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}

	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (equation.isStock() || 
				equation.isUsesDelay() || 
				equation.isUsesSmooth()) {
			return isUnique(equation.getVariableName());

		} else {
			return false;
		}
	}

	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		return equation.isStock() || 
				equation.isUsesDelay() || 
				equation.isUsesSmooth();
	}

}
