package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorUsingMacros extends VariableSelector {

	public VariableSelectorUsingMacros(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}

	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		if (ignore(equation))
			return false;
		if (equation.isHasMacroInvocation())

			return isUnique(equation.getVariableName());
		else
			return false;
	}

	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		if (ignore(equation))
			return false;
		return equation.isHasMacroInvocation();
	}
}