package gov.anl.gss.sdm.server.model.documentor.xmlwriter.variableselector;

import gov.anl.gss.sdm.server.model.translator.Equation;

public class VariableSelectorVariable extends VariableSelector {

	public VariableSelectorVariable(String selectionCriteria, String internalName) {
		super(selectionCriteria, internalName);
	}
	
	@Override
	public boolean isSelectSingleEquation(Equation equation) {
		// what makes a variable?
	
		if (!equation.isAssignment())
			return false;
		if (equation.isDefinesSubscript())
			return false;
		return isUnique(equation.getVariableName());
	}
	
	@Override
	public boolean isSelectMultipleEquation(Equation equation) {
		// what makes a variable?
		boolean select = true;
		if (!equation.isAssignment())
			return false;
		if (equation.isDefinesSubscript())
			return false;
		return select;
	}
}