package gov.anl.gss.sdm.server.model.support;

public class Trend {

	
	private double avval;
	private boolean initialTime = true;
//	private double initialTrend;
	
	private SDFunctions sdFunctions;
	
	public Trend(SDFunctions sdFunctions, double input, double averageTime, double initialTrend) {
		this.sdFunctions =sdFunctions;
//		this.initialTrend = initialTrend;
//		this.avval = initialTrend;
		this.avval = input/(1+initialTrend*averageTime);
	}
	
//		TREND=ZIDZ(input-avval,average time*ABS(avval))
//		avval=INTEG((input-avval)/average time,input/(1+ini*averate time))
	
	public double getNext(double input, double averageTime) {
		
		double trend;
		
		if (initialTime) {
			initialTime = false;
			
		} else {
//			avval = avval + ((input-avval)/averageTime ) * sdFunctions.getModel().timeStep;
		}
		
		trend = sdFunctions.ZIDZ((input-avval), averageTime * sdFunctions.ABS(avval));
		avval = avval + ((input-avval)/averageTime ) * sdFunctions.getModel().timeStep;
//		trend = sdFunctions.ZIDZ((input-avval), averageTime * sdFunctions.ABS(avval));
		
//		System.out.println("input = "+input+" avval = "+avval+" trend = "+trend);
		
			return trend;
//		}

	}
}
