package gov.anl.gss.sdm.server.model.support;

import gov.anl.gss.sdm.server.model.documentor.xmlwriter.StringConstants;
import gov.anl.gss.sdm.server.model.translator.Parser;

public class VensimFormatter {
	
	public static String format(String s1) {
		


		String s = s1;
		String formatted = new String(s.replace("\t~", "~").replace("\t|", "|"));
//		if (s.contains("WITH LOOK")) {
//			String[] parts = formatted.split("WITH LOOKUP \\(");
//			String[] args = parts[1].split(",",2);
//			formatted = parts[0]+"WITH LOOKUP (\n\t"+args[0]+",\n\t"+args[1].replace("~", "\n\t~").replace("|", "\n\t|\n");
//			
//		} else {
//			formatted = formatted.replaceFirst("=", "=\n\t").replace("~", "\n\t~").replace("|", "\n\t|\n");
//		}
		
//		formatted = formatted.replaceFirst("=", "=\n\t").replace("~", "\n\t~\t").replace("|", "\n\t|\n");
//		String la = lengthAdjusted(removeArtifacts(formatted));
		String la = removeArtifacts(formatted);
		if (la.contains("=~")) {
			
		} else {
			la = la.replaceFirst("=", "=\n\t");
		}
		la = la.replace("~", "\n\t~\t").replace("|", "\n\t|\n");
//		System.out.println("FORMAT: "+s1);
		return adjust(la);
	}
	
	public static String removeArtifacts(String s) {
		return s.replace(StringConstants.RSSD_LOOKUP, "").replaceAll("="+Parser.externalDataMethod()+"\\(.*\\)", "");
	}
	
	public static String formatMulti(String s1) {

		String s = s1;
		String formatted = new String(s.replace("\t~", "~").replace("\t|", "|"));
//		if (s.contains("WITH LOOK")) {
//			String[] parts = formatted.split("WITH LOOKUP \\(");
//			String[] args = parts[1].split(",",2);
//			formatted = parts[0]+"WITH LOOKUP (\n\t"+args[0]+",\n\t"+args[1].replace("~", "\n\t~").replace("|", "\n\t|\n");
//			
//		} else {
//			formatted = formatted.replaceFirst("=", "=\n\t").replace("~", "\n\t~").replace("|", "\n\t|\n");
//		}
		
//		formatted = formatted.replaceFirst("=", "=\n\t").replace("~", "\n\t~\t").replace("|", "\n\t|\n");
		String la = removeArtifacts(formatted);
		la = la.replaceFirst("=", "=\n\t");
//		System.out.println("FORMAT: "+s1);
		return adjust(la);
	}
	
//	private static String ORIGlengthAdjusted(String s) {
//		StringBuilder adjusted = new StringBuilder();
//		StringBuilder line = new StringBuilder();
//		
//		boolean added = false;
//		
//		String splitChar = " ";
//		
//		String[] parts = s.split(splitChar);
//		
//		// need to grab by position
//		int i = 0;
//		while(i < parts.length /*decomp.size() */) {
//		
////		for (String str : decomp) { // parts
//			String str = parts[i]; // decomp.get(i);
//			line.append(str+" ");
//			added = false;
//			if (i < parts.length-1 /*decomp.size()-1*/ && line.length() > 100) {
//				str = parts[++i];  // decomp.get(++i);
//				line.append(str+" ");
////				while(i < parts.length /*decomp.size()*/-1 && !Parser.isOperator(str) && !str.equals(",") && !str.equals(")") && !str.equals("(")) {
////					str = parts[++i]; // decomp.get(++i);
////					line.append(str+" ");
////				}
//				adjusted.append(line);
//				adjusted.append("\\\n\t\t");
//				added = true;
//				line.setLength(0);	
//			}
//			i++;
//		}
//		
//		if (!added)
//			adjusted.append(line);
//		
//		return adjusted.toString().replaceAll(",$", "");
//	}
	
	private static String adjust(String s) {
		StringBuilder adjusted = new StringBuilder();
		
		String[] parts = s.split("\n");
		for (String p : parts) {
			adjusted.append(lengthAdjusted(p));
			adjusted.append("\n");
		}
		
		return adjusted.toString();
	}
	
	private static String lengthAdjusted(String s) {
		StringBuilder adjusted = new StringBuilder();
		StringBuilder line = new StringBuilder();
		
		boolean added = false;
		
		String splitChar = " ";

		String[] parts = s.split(splitChar);
		
		// need to grab by position
		int i = 0;
		while(i < parts.length) {
		
			String str = parts[i];
			line.append(str+" ");
			added = false;
			if (i < parts.length-1 && line.length() > 80) {
				str = parts[++i]; 
				line.append(str+" ");
				adjusted.append(line);
				adjusted.append("\\\n\t\t");
				added = true;
				line.setLength(0);	
			}
			i++;
		}
		
		if (!added)
			adjusted.append(line);
		
		return adjusted.toString().replaceAll(",$", "");
	}
	


}
