package gov.anl.gss.sdm.server.model.tools;

import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

public class GraphicsHelper {
	
	BufferedImage offImage;
	Graphics2D g2;
	FontMetrics fm;
	
	public GraphicsHelper(Font font) {

		offImage = new BufferedImage(100, 100, BufferedImage.TYPE_INT_ARGB);
		g2 = offImage.createGraphics();
		g2.setFont(font); // new Font("Calibri Light", Font.BOLD, 16));
		fm = g2.getFontMetrics();
	}

	public GraphicsHelper() {

		offImage = new BufferedImage(100, 100, BufferedImage.TYPE_INT_ARGB);
		g2 = offImage.createGraphics();
		g2.setFont(new Font("Calibri Light", Font.BOLD, 16));
		fm = g2.getFontMetrics();
	}
	
	public int getWidth(String text) {
		int w = fm.stringWidth(text);
		return w;
	}
	
	public int getHeight() {
		int h = fm.getHeight();
		return h;
	}

	public FontMetrics getFm() {
		return fm;
	}
	
		//		 
		//		int testWidth=fm.stringWidth(text);
		//		int testHeight=fm.getHeight();
		//		if(justification==CENTER){
		//			context.drawString(string, (float)x-testWidth/2, (float)y);
		//		}else{
		//			if(justification==LEFT)context.drawString(string, (float)x-wid, (float)y);
		//			else context.drawString(string, (float)x+wid-testWidth, (float)y);
		//		}

}
