package gov.anl.gss.sdm.server.model.translator;

public class CodeGenerationOptions {
	
	// for now, just support equation limit, flatten, comments, runner, hashmap, native
	
	private int equationLimit = 200;
	private boolean flatten = true;
//	private boolean repastSimphony = false; 
//	private boolean rsHybrid = false; 
	private boolean includeComments = true;
	private boolean generateRunner = false;
	private boolean generateJava = true;
	private boolean generateC = false;
	private boolean useHashMapMemory = true;
	private boolean useNativeMemory = false;
	
//	private boolean repastSimphonyMode = false;
	private boolean sdmuiMode = false;
	private boolean sdmdocMode = true;
	
	public CodeGenerationOptions() {
		equationLimit = 200;
		flatten = true;
//		repastSimphony = false; 
//		rsHybrid = false; 
		includeComments = true;
		generateRunner = false;
		generateJava = true;
		generateC = false;
		useHashMapMemory = true;
		useNativeMemory = false;
		
//		repastSimphonyMode = false;
		sdmuiMode = false;
		sdmdocMode = true;
	}
	
	public void setDefaults() {
		
	}
	
	public int getEquationLimit() {
		return equationLimit;
	}
	

	public void setEquationLimit(int equationLimit) {
		this.equationLimit = equationLimit;
	}

	public boolean isFlatten() {
		return flatten;
	}

	public void setFlatten(boolean flatten) {
		this.flatten = flatten;
	}

//	public boolean isRepastSimphony() {
//		return repastSimphony;
//	}
//
//	public void setRepastSimphony(boolean repastSimphony) {
//		this.repastSimphony = repastSimphony;
//	}
//
//	public boolean isRsHybrid() {
//		return rsHybrid;
//	}
//
//	public void setRsHybrid(boolean rsHybrid) {
//		this.rsHybrid = rsHybrid;
//	}

	public boolean isIncludeComments() {
		return includeComments;
	}

	public void setIncludeComments(boolean includeComments) {
		this.includeComments = includeComments;
	}

	public boolean isGenerateRunner() {
		return generateRunner;
	}

	public void setGenerateRunner(boolean generateRunner) {
		this.generateRunner = generateRunner;
	}

	public boolean isGenerateJava() {
		return generateJava;
	}

	public void setGenerateJava(boolean generateJava) {
		this.generateJava = generateJava;
	}

	public boolean isGenerateC() {
		return generateC;
	}

	public void setGenerateC(boolean generateC) {
		this.generateC = generateC;
	}

	public boolean isUseHashMapMemory() {
		return useHashMapMemory;
	}

	public void setUseHashMapMemory(boolean useHashMapMemory) {
		this.useHashMapMemory = useHashMapMemory;
	}

	public boolean isUseNativeMemory() {
		return useNativeMemory;
	}

	public void setUseNativeMemory(boolean useNativeMemory) {
		this.useNativeMemory = useNativeMemory;
	}



}
