package gov.anl.gss.sdm.server.model.translator;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

public class ErrorManager {
	
	static Logger log = Logger.getLogger(FunctionManager.class.getSimpleName());
	
	private boolean clean = true;
	
	private List<String> messages = new ArrayList<String>();
	
	public ErrorManager() {
		
	}
	
	public void registerError(String msg) {
		clean = false;
		messages.add(msg);
	}

	/**
	 * @return the log
	 */
	public static Logger getLog() {
		return log;
	}

	/**
	 * @return the clean
	 */
	public boolean isClean() {
		return clean;
	}

	/**
	 * @return the messages
	 */
	public List<String> getMessages() {
		return messages;
	}

}
