package gov.anl.gss.sdm.server.model.translator;

import org.apache.log4j.Logger;

public class OperationResult {
static Logger log = Logger.getLogger(OperationResult.class.getSimpleName());
	
	private boolean ok = true;
	private String message;
	
	public OperationResult() {
		
	}

	public boolean isOk() {
		return ok;
	}

	public void setOk(boolean ok) {
		if (!ok)
			log.debug("Setting not OK again");
		this.ok = ok;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		if (this.message == null)
			this.message = message;
		else
			this.message += "\n" + message;
	}
	
	public void clear() {
		ok=true;
		message = null;
	}
	
	public void setErrorMessage(String message) {
		
		setMessage(message);
		log.debug("ErrorMsg: "+message);
		setOk(false);
	}

}
