package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class Doc extends XmileObject {
	
	private String comment;

	public Doc(Element docElement) {
		if (XMLUtilities.getNodeValue(docElement) == null) {
			comment = "";
		} else {
			comment = XMLUtilities.getNodeValue(docElement).replace("|", "<<VERT>>");
		}
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}

	/**
	 * @return the comment
	 */
	public String getComment() {
		if (comment == null)
			return "";
		return comment;
	}

	@Override
	protected void print() {
		System.out.println("Doc:");
		System.out.println("   "+comment);
	}

}
