package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class Inflow extends XmileObject {

	private String variableName;

	public Inflow(String modelName, Element docElement) {
		variableName = modelName+XMLUtilities.getNodeValue(docElement);
		name = new Name(variableName);
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}

	/**
	 * @return the variableName
	 */
	public String getVariableName() {
		return variableName;
	}

	@Override
	protected void print() {
		System.out.println("Infow: "+variableName);
		
	}
}
