package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Node;

public class Style extends XmileObject {
	
	private String x;
	private String y;
	private String color;
	private String background;
	private String zIndex;
	private String fontFamily;
	private String fontSize;
	private String fontWeight;
	private String fontStyle;
	private String textDecoration;
	private String textAlign;
	private String textBackground;
	private String verticalTextAlign;
	private String textPadding;
	private String fontColor;
	private String textBorderColor;
	private String textBorderWidth;
	private String textBorderStyle;
//	private String name;
	private String width;
	private String height;
	private String labelSize;
	private String labelAngle;
	
	public Style(Node styleNode) {
		
	}
	
	public Style(Style anotherStyle) {
		this.x = anotherStyle.x;
		this.y = anotherStyle.y;
		this.color = anotherStyle.color;
		this.background = anotherStyle.background;
		this.zIndex = anotherStyle.zIndex;
		this.fontFamily = anotherStyle.fontFamily;
		this.fontSize = anotherStyle.fontSize;
		this.fontWeight = anotherStyle.fontWeight;
		this.fontStyle = anotherStyle.fontStyle;
		this.textDecoration = anotherStyle.textDecoration;
		this.textAlign = anotherStyle.textAlign;
		this.textBackground = anotherStyle.textBackground;
		this.verticalTextAlign = anotherStyle.verticalTextAlign;
		this.textPadding = anotherStyle.textPadding;
		this.fontColor = anotherStyle.fontColor;
		this.textBorderColor = anotherStyle.textBorderColor;
		this.textBorderWidth = anotherStyle.textBorderWidth;
		this.textBorderStyle = anotherStyle.textBorderStyle;
//		this.name = anotherStyle.name;
		this.width = anotherStyle.width;
		this.height = anotherStyle.height;
		this.labelSize = anotherStyle.labelSize;
		this.labelAngle = anotherStyle.labelAngle;
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}

	@Override
	protected void print() {
		System.out.println("Style:");
		System.out.println("   x:"+x);
		System.out.println("   y:"+y);
		System.out.println("   color:"+color);
		System.out.println("   background:"+background);
		System.out.println("   zIndex:"+zIndex);
		System.out.println("   fontFamily:"+fontFamily);
		System.out.println("   fontSize:"+fontSize);
		System.out.println("   fontWeight:"+fontWeight);
		System.out.println("   fontStyle:"+fontStyle);
		System.out.println("   textDecoration:"+textDecoration);
		System.out.println("   textAlign:"+textAlign);
		System.out.println("   textBackground:"+textBackground);
		System.out.println("   verticalTextAlign:"+verticalTextAlign);
		System.out.println("   textPadding:"+textPadding);
		System.out.println("   fontColor:"+fontColor);
		System.out.println("   textBorderColor:"+textBorderColor);
		System.out.println("   textBorderWidth:"+textBorderWidth);
		System.out.println("   textBorderStyle:"+textBorderStyle);
//		private String name;
		System.out.println("   width:"+width);
		System.out.println("   height:"+height);
		System.out.println("   labelSize:"+labelSize);
		System.out.println("   labelAngle:"+labelAngle);
		
	}

	/**
	 * @return the x
	 */
	public String getX() {
		return x;
	}

	/**
	 * @return the y
	 */
	public String getY() {
		return y;
	}

	/**
	 * @return the color
	 */
	public String getColor() {
		return color;
	}

	/**
	 * @return the background
	 */
	public String getBackground() {
		return background;
	}

	/**
	 * @return the zIndex
	 */
	public String getzIndex() {
		return zIndex;
	}

	/**
	 * @return the fontFamily
	 */
	public String getFontFamily() {
		return fontFamily;
	}

	/**
	 * @return the foneSize
	 */
	public String getFontSize() {
		return fontSize;
	}

	/**
	 * @return the fontWeight
	 */
	public String getFontWeight() {
		return fontWeight;
	}

	/**
	 * @return the fontStyle
	 */
	public String getFontStyle() {
		return fontStyle;
	}

	/**
	 * @return the textDecoration
	 */
	public String getTextDecoration() {
		return textDecoration;
	}

	/**
	 * @return the textAlign
	 */
	public String getTextAlign() {
		return textAlign;
	}

	/**
	 * @return the textBackground
	 */
	public String getTextBackground() {
		return textBackground;
	}

	/**
	 * @return the verticalTextAlign
	 */
	public String getVerticalTextAlign() {
		return verticalTextAlign;
	}

	/**
	 * @return the textPadding
	 */
	public String getTextPadding() {
		return textPadding;
	}

	/**
	 * @return the fontColor
	 */
	public String getFontColor() {
		return fontColor;
	}

	/**
	 * @return the textBorderColor
	 */
	public String getTextBorderColor() {
		return textBorderColor;
	}

	/**
	 * @return the textBorderWidth
	 */
	public String getTextBorderWidth() {
		return textBorderWidth;
	}

	/**
	 * @return the textBorderStyle
	 */
	public String getTextBorderStyle() {
		return textBorderStyle;
	}

//	/**
//	 * @return the name
//	 */
//	public String getName() {
//		return name;
//	}

	/**
	 * @return the width
	 */
	public String getWidth() {
		return width;
	}

	/**
	 * @return the height
	 */
	public String getHeight() {
		return height;
	}

	/**
	 * @return the labelSize
	 */
	public String getLabelSize() {
		return labelSize;
	}

	/**
	 * @return the labelAngle
	 */
	public String getLabelAngle() {
		return labelAngle;
	}


}
