package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class YPoints extends XmileObject {

	private String ypoints;

	public YPoints(Element yptsElement) {
		ypoints = XMLUtilities.getNodeValue(yptsElement);
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}
	
	@Override
	protected void print() {
		System.out.println("YPoints: "+ypoints);

	}
	/**
	 * @return the ypoints
	 */
	public String getYpoints() {
		return ypoints;
	}
	
	public int getNumPoints() {
		return ypoints.split(",").length;
	}

}
