package gov.anl.gss.sdm.server.model.xmile;

import org.w3c.dom.Element;

public class YScale extends XmileObject {

	private String min;
	private String max;
	
	public YScale(Element yscaleNode) {
		if (XMLUtilities.hasAttribute(yscaleNode, "min")) {
			min = XMLUtilities.getAttribute(yscaleNode, "min");
		}
		
		if (XMLUtilities.hasAttribute(yscaleNode, "max")) {
			max = XMLUtilities.getAttribute(yscaleNode, "max");
		}
	}
	
	public void disperse(XmileModel xmileModel) {
		setXmileModel(xmileModel);
	}

	@Override
	protected void print() {
		System.out.println("YScale: min: "+min+" max: "+max);

	}

	/**
	 * @return the min
	 */
	public String getMin() {
		return min;
	}

	/**
	 * @return the max
	 */
	public String getMax() {
		return max;
	}


}
