package gov.anl.gss.sdm.shared;

public class AnnotatedModelName {
	
	public static final String MAP = "(Map)";
	public static final String MODEL = "(Model)";
	
	// model (Map)
	// model (Model)
	
	public static String removeAnnotation(String modelName) {
		if (modelName.contains(MAP) || modelName.contains(MODEL))
			return modelName.split("\\(")[0].trim();
		else
			return modelName;
	}
	
	public static boolean isMap(String modelName) {
		System.out.println("AMN: isMap: "+modelName);
		return modelName.contains(MAP);
	}
	
	public static boolean isModel(String modelName) {
		return modelName.contains(MODEL);
	}

}
