package gov.anl.gss.sdm.shared;

import java.io.Serializable;
/**
* @author Mary Ann Bitz
* Argonne National Laboratory
* Global Security Sciences Division 
*/
public class DatabaseException extends Exception implements Serializable {
	private String symbol;

	  public DatabaseException() {
	  }

	  public DatabaseException(String symbol) {
	    this.symbol = symbol;
	  }

	  public String getSymbol() {
	    return this.symbol;
	  }

}
