package gov.anl.gss.sdm.shared.drawView;

import java.awt.Graphics2D;
import java.awt.Image;
import java.math.BigInteger;

import javax.swing.ImageIcon;

public class Comment extends GeneralGraphic{
	/**
	 * 
	 */
	Integer iconNum;
	public Comment(ModelDiagram modelView){
		super(modelView);
	}
	public void draw(Graphics2D context){
		// draw the rectangle if there is one
		fillShape(context,fill);
		drawShape(context,box,1);
		drawWords(context);
		
		// draw the cloud icon
		if(image!=null){
			// draw the image
			//ImageElement imageElement = ImageElement.as(image.getElement());
		    context.drawImage(image, x-wid,y-hi,null);
		}
		super.draw(context);
	}
	Image image;
	public void parseFromStrings(String[] strings,String name){
		parseFromStrings(strings);
		if(this.name!=null){
			try{
				iconNum=Integer.parseInt(this.name);
				if(iconNum==48){
					ImageIcon imageIcon = new ImageIcon("images/cloud.gif");
					image=imageIcon.getImage();
				}

			}catch(NumberFormatException e){

			}
		}
		
		if(hasStringBit())this.name=name;
		else this.name=null;
	}
	public boolean hasStringBit() {
		boolean val =  BigInteger.valueOf(bits).testBit(3);
		boolean val2 = ((bits & (1L << 2)) != 0);
		boolean val3 = ((bits & (1L << 3)) != 0);
		return val2;
	}
	String parseName(String potentialName){
		// read it as an icon number
		try{
			iconNum= Integer.parseInt(potentialName);
		}catch(NumberFormatException e){
			return potentialName;
		}
		return potentialName;
	}
}