package gov.anl.gss.visualization;

import org.jfree.data.xy.XYSeries;

public class SFEScatterPlotDataPoint {

	private String label;
	private double x;
	private double y;
	
	
	public SFEScatterPlotDataPoint(String label, double x, double y) {
		this.label = label;
		this.x = x;
		this.y = y;
	}
	
	public XYSeries getSeries() {
		XYSeries series = new XYSeries(label);
		series.add(x, y);
		return series;
	}

	public String getLabel() {
		return label;
	}

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}
}
